/********************************************************************
 * Copyright (C) 2003-2011 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/*********************************************************************
* file: cslr_rincewind_b8.h
*
* Brief: This file contains the Register Description for rincewind_b8
*
*********************************************************************/
#ifndef _CSLR_RINCEWIND_B8_H_
#define _CSLR_RINCEWIND_B8_H_

#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure for RXTX
\**************************************************************************/
typedef struct  {
    volatile Uint32 R0400;
    volatile Uint32 R0401;
    volatile Uint32 R0402;
    volatile Uint32 R0403;
    volatile Uint32 R0404;
    volatile Uint32 R0405;
    volatile Uint32 R0406;
    volatile Uint8 RSVD0[8];
    volatile Uint32 R0409;
    volatile Uint32 R040A;
    volatile Uint32 R040B;
    volatile Uint8 RSVD1[16];
    volatile Uint32 R0410;
    volatile Uint32 R0411;
    volatile Uint32 R0412;
    volatile Uint32 R0413;
    volatile Uint32 R0414;
    volatile Uint8 RSVD2[24];
    volatile Uint32 R041B;
    volatile Uint32 R041C;
    volatile Uint32 R041D;
    volatile Uint32 R041E;
    volatile Uint32 R041F;
    volatile Uint8 RSVD3[192];
    volatile Uint32 R0450;
    volatile Uint32 R0451;
    volatile Uint32 R0452;
    volatile Uint32 R0453;
    volatile Uint32 R0454;
    volatile Uint32 R0455;
    volatile Uint32 R0456;
    volatile Uint8 RSVD4[36];
    volatile Uint32 R0460;
    volatile Uint32 R0461;
    volatile Uint32 R0462;
    volatile Uint32 R0463;
    volatile Uint32 R0464;
    volatile Uint32 R0465;
    volatile Uint32 R0466;
    volatile Uint32 R0467;
    volatile Uint32 R0468;
    volatile Uint8 RSVD5[4];
    volatile Uint32 R046A;
    volatile Uint32 R046B;
    volatile Uint32 R046C;
    volatile Uint32 R046D;
    volatile Uint8 RSVD6[136];
    volatile Uint32 R0490;
    volatile Uint32 R0491[8];
    volatile Uint32 R0499;
    volatile Uint32 R049A;
    volatile Uint32 R049B;
    volatile Uint32 R049C;
    volatile Uint32 R049D;
    volatile Uint32 R049E;
    volatile Uint8 RSVD7[4];
    volatile Uint32 R04A0;
    volatile Uint32 R04A1;
    volatile Uint32 R04A2;
    volatile Uint8 RSVD8[204];
    volatile Uint32 R04D6;
    volatile Uint8 RSVD9[20];
    volatile Uint32 R04DC;
    volatile Uint32 R04DD;
    volatile Uint8 RSVD10[4];
    volatile Uint32 R04DF;
    volatile Uint32 R04E0;
    volatile Uint32 R04E1;
    volatile Uint32 R04E2;
    volatile Uint32 R04E3;
    volatile Uint32 R04E4;
    volatile Uint32 R04E5;
    volatile Uint8 RSVD11[8];
    volatile Uint32 R04E8;
    volatile Uint32 R04E9;
    volatile Uint32 R04EA;
    volatile Uint32 R04EB;
    volatile Uint32 R04EC;
    volatile Uint32 R04ED;
    volatile Uint32 R04EE;
    volatile Uint8 RSVD12[4];
    volatile Uint32 R04F0;
    volatile Uint32 R04F1;
    volatile Uint8 RSVD13[24];
    volatile Uint32 R04F8;
    volatile Uint32 R04F9;
    volatile Uint32 R04FA;
    volatile Uint32 R04FB;
    volatile Uint8 RSVD14[12];
    volatile Uint32 R04FF;
} CSL_Rincewind_b8RxtxRegs;

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 R0000;
    volatile Uint32 R0001;
    volatile Uint8 RSVD0[4];
    volatile Uint32 R0003;
    volatile Uint32 R0004;
    volatile Uint32 R0005;
    volatile Uint32 R0006;
    volatile Uint32 R0007;
    volatile Uint32 R0008;
    volatile Uint32 R0009;
    volatile Uint8 RSVD1[12];
    volatile Uint32 R000D;
    volatile Uint32 R000E;
    volatile Uint32 R000F;
    volatile Uint8 RSVD2[448];
    volatile Uint32 R0080;
    volatile Uint32 R0081;
    volatile Uint8 RSVD3[56];
    volatile Uint32 R0090;
    volatile Uint32 R0091;
    volatile Uint32 R0092;
    volatile Uint32 R0093;
    volatile Uint8 RSVD4[48];
    volatile Uint32 R00A0;
    volatile Uint32 R00A1;
    volatile Uint32 R00A2;
    volatile Uint32 R00A3;
    volatile Uint8 RSVD5[48];
    volatile Uint32 R00B0;
    volatile Uint8 RSVD6[312];
    volatile Uint32 R00FF;
    volatile Uint8 RSVD7[1024];
    volatile Uint32 R0200;
    volatile Uint32 R0201;
    volatile Uint8 RSVD8[56];
    volatile Uint32 R0210;
    volatile Uint32 R0211;
    volatile Uint32 R0212;
    volatile Uint8 RSVD9[52];
    volatile Uint32 R0220;
    volatile Uint8 RSVD10[380];
    volatile Uint32 R0280;
    volatile Uint32 R0281;
    volatile Uint8 RSVD11[120];
    volatile Uint32 R02A0;
    volatile Uint8 RSVD12[60];
    volatile Uint32 R02B0;
    volatile Uint8 RSVD13[60];
    volatile Uint32 R02C0;
    volatile Uint32 R02C1;
    volatile Uint32 R02C2;
    volatile Uint32 R02C3;
    volatile Uint8 RSVD14[236];
    volatile Uint32 R02FF;
    volatile Uint8 RSVD15[1024];
    CSL_Rincewind_b8RxtxRegs RXTX[4];
} CSL_Rincewind_b8Regs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* R0400 */

#define CSL_RINCEWIND_B8_R0400_RX_EN_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0400_RX_EN_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0400_RX_EN_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0400_RX_EN_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0400_RX_EN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0400_RX_EN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0400_RESETVAL  (0x00000000u)

/* R0401 */

#define CSL_RINCEWIND_B8_R0401_RX_BW_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0401_RX_BW_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0401_RX_BW_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0401_RX_BUSWIDTH_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R0401_RX_BUSWIDTH_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0401_RX_BUSWIDTH_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0401_RESETVAL  (0x00000000u)

/* R0402 */

#define CSL_RINCEWIND_B8_R0402_RX_RATE_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0402_RX_RATE_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0402_RX_RATE_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0402_RX_RATE_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0402_RX_RATE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0402_RX_RATE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0402_RESETVAL  (0x00000000u)

/* R0403 */

#define CSL_RINCEWIND_B8_R0403_RX_RESERVED_038_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0403_RX_RESERVED_038_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0403_RX_RESERVED_038_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0403_RX_RESERVED_039_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0403_RX_RESERVED_039_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0403_RX_RESERVED_039_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0403_RESETVAL  (0x00000000u)

/* R0404 */

#define CSL_RINCEWIND_B8_R0404_RX_INVPAIR_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0404_RX_INVPAIR_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0404_RX_INVPAIR_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0404_RX_INVPAIR_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0404_RX_INVPAIR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0404_RX_INVPAIR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0404_RESETVAL  (0x00000000u)

/* R0405 */

#define CSL_RINCEWIND_B8_R0405_RX_JOGCOM_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0405_RX_JOGCOM_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0405_RX_JOGCOM_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0405_RX_JOGSYNC_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R0405_RX_JOGSYNC_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R0405_RX_JOGSYNC_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0405_RX_ENCOMMA_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0405_RX_ENCOMMA_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0405_RX_ENCOMMA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0405_RX_JOG_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0405_RX_JOG_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0405_RX_JOG_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0405_RESETVAL  (0x00000000u)

/* R0406 */

#define CSL_RINCEWIND_B8_R0406_RX_ADAPT_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0406_RX_ADAPT_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0406_RX_ADAPT_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0406_RX_INITADAPT_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R0406_RX_INITADAPT_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R0406_RX_INITADAPT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0406_RX_FASTADAPT_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0406_RX_FASTADAPT_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0406_RX_FASTADAPT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0406_RX_RESERVED_037_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0406_RX_RESERVED_037_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0406_RX_RESERVED_037_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0406_RESETVAL  (0x00000000u)

/* R0409 */

#define CSL_RINCEWIND_B8_R0409_RX_TERM_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R0409_RX_TERM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0409_RX_TERM_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0409_RESETVAL  (0x00000000u)

/* R040A */

#define CSL_RINCEWIND_B8_R040A_RX_LOS_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R040A_RX_LOS_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R040A_RX_LOS_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R040A_RX_LOS_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R040A_RX_LOS_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R040A_RX_LOS_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R040A_RX_LOSDTCT_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R040A_RX_LOSDTCT_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R040A_RX_LOSDTCT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R040A_RX_ADAPTDONE_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R040A_RX_ADAPTDONE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R040A_RX_ADAPTDONE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R040A_RESETVAL  (0x00000000u)

/* R040B */

#define CSL_RINCEWIND_B8_R040B_RX_ENLOSLPBK_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R040B_RX_ENLOSLPBK_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R040B_RX_ENLOSLPBK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R040B_RX_LOSTRIM_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R040B_RX_LOSTRIM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R040B_RX_LOSTRIM_RESETVAL (u)

#define CSL_RINCEWIND_B8_R040B_RESETVAL  (0x00000000u)

/* R0410 */

#define CSL_RINCEWIND_B8_R0410_RX_AEQGAIN_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0410_RX_AEQGAIN_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0410_RX_AEQGAIN_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0410_RX_AEQGAIN_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R0410_RX_AEQGAIN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0410_RX_AEQGAIN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0410_RESETVAL  (0x00000000u)

/* R0411 */

#define CSL_RINCEWIND_B8_R0411_RX_AEQBW_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0411_RX_AEQBW_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0411_RX_AEQBW_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0411_RX_AEQHLD_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R0411_RX_AEQHLD_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R0411_RX_AEQHLD_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0411_RX_AEQBW_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R0411_RX_AEQBW_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0411_RX_AEQBW_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0411_RESETVAL  (0x00000000u)

/* R0412 */

#define CSL_RINCEWIND_B8_R0412_RX_AEQTRIM_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQTRIM_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQTRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0412_RX_AEQOVER_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQOVER_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQOVER_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0412_RX_AEQUNDER_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQUNDER_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQUNDER_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0412_RX_AEQAN_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQAN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0412_RX_AEQAN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0412_RESETVAL  (0x00000000u)

/* R0413 */

#define CSL_RINCEWIND_B8_R0413_RX_VGAGAIN_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R0413_RX_VGAGAIN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0413_RX_VGAGAIN_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0413_RESETVAL  (0x00000000u)

/* R0414 */

#define CSL_RINCEWIND_B8_R0414_RX_VGABW_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0414_RX_VGABW_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0414_RX_VGABW_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0414_RESETVAL  (0x00000000u)

/* R041B */

#define CSL_RINCEWIND_B8_R041B_RX_LOOPBACK_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R041B_RX_LOOPBACK_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R041B_RX_LOOPBACK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041B_RX_PATT_TIMER_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R041B_RX_PATT_TIMER_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R041B_RX_PATT_TIMER_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041B_RX_TESTPATT_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R041B_RX_TESTPATT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R041B_RX_TESTPATT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041B_RESETVAL  (0x00000000u)

/* R041C */

#define CSL_RINCEWIND_B8_R041C_RX_ECOUNT_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R041C_RX_ECOUNT_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R041C_RX_ECOUNT_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041C_RESETVAL  (0x00000000u)

/* R041D */

#define CSL_RINCEWIND_B8_R041D_RX_ECOUNT_11_08_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R041D_RX_ECOUNT_11_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R041D_RX_ECOUNT_11_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041D_RESETVAL  (0x00000000u)

/* R041E */

#define CSL_RINCEWIND_B8_R041E_RX_ECOUNT_CLR_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R041E_RX_ECOUNT_CLR_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R041E_RX_ECOUNT_CLR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041E_RX_ECOUNTOR_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R041E_RX_ECOUNTOR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R041E_RX_ECOUNTOR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R041E_RESETVAL  (0x00000000u)

/* R041F */

#define CSL_RINCEWIND_B8_R041F_RX_PATTERRTHR_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R041F_RX_PATTERRTHR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R041F_RX_PATTERRTHR_RESETVAL (u)

#define CSL_RINCEWIND_B8_R041F_RESETVAL  (0x00000000u)

/* R0450 */

#define CSL_RINCEWIND_B8_R0450_RX_CDRSTL_MASK (0x0000007Fu)
#define CSL_RINCEWIND_B8_R0450_RX_CDRSTL_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0450_RX_CDRSTL_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0450_RESETVAL  (0x00000000u)

/* R0451 */

#define CSL_RINCEWIND_B8_R0451_RX_CDRKI_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R0451_RX_CDRKI_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0451_RX_CDRKI_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0451_RX_CDRKP_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R0451_RX_CDRKP_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0451_RX_CDRKP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0451_RESETVAL  (0x00000000u)

/* R0452 */

#define CSL_RINCEWIND_B8_R0452_RX_CDRHLD_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRHLD_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRHLD_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0452_RX_CDRFREQWRAP_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRFREQWRAP_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRFREQWRAP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0452_RX_CDRJOGENL_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRJOGENL_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRJOGENL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0452_RX_CDRJOG_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRJOG_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0452_RX_CDRJOG_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0452_RESETVAL  (0x00000000u)

/* R0453 */

#define CSL_RINCEWIND_B8_R0453_RX_CDRPHASE_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0453_RX_CDRPHASE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0453_RX_CDRPHASE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0453_RESETVAL  (0x00000000u)

/* R0454 */

#define CSL_RINCEWIND_B8_R0454_RX_CDRFREQ_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0454_RX_CDRFREQ_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0454_RX_CDRFREQ_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0454_RESETVAL  (0x00000000u)

/* R0455 */

#define CSL_RINCEWIND_B8_R0455_RX_CDRFREQ_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0455_RX_CDRFREQ_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0455_RX_CDRFREQ_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0455_RX_CDRSAT_MASK (0x0000007Fu)
#define CSL_RINCEWIND_B8_R0455_RX_CDRSAT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0455_RX_CDRSAT_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0455_RESETVAL  (0x00000000u)

/* R0456 */

#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_FA_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_FA_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_FA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0456_RX_CDRCSA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0456_RESETVAL  (0x00000000u)

/* R0460 */

#define CSL_RINCEWIND_B8_R0460_RX_ESCLR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0460_RX_ESCLR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0460_RX_ESCLR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0460_RX_ESHLD_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R0460_RX_ESHLD_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R0460_RX_ESHLD_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0460_RX_ENESTIMER_MASK (0x00000020u)
#define CSL_RINCEWIND_B8_R0460_RX_ENESTIMER_SHIFT (0x00000005u)
#define CSL_RINCEWIND_B8_R0460_RX_ENESTIMER_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0460_RX_ESRAW_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R0460_RX_ESRAW_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0460_RX_ESRAW_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0460_RX_ESCOUNTOR_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0460_RX_ESCOUNTOR_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0460_RX_ESCOUNTOR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0460_RX_ENES_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0460_RX_ENES_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0460_RX_ENES_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0460_RESETVAL  (0x00000000u)

/* R0461 */

#define CSL_RINCEWIND_B8_R0461_RX_ESHISTMSK_MASK (0x000000F0u)
#define CSL_RINCEWIND_B8_R0461_RX_ESHISTMSK_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0461_RX_ESHISTMSK_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0461_RX_ESHIST_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R0461_RX_ESHIST_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0461_RX_ESHIST_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0461_RESETVAL  (0x00000000u)

/* R0462 */

#define CSL_RINCEWIND_B8_R0462_RX_ESPO_MASK (0x0000007Fu)
#define CSL_RINCEWIND_B8_R0462_RX_ESPO_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0462_RX_ESPO_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0462_RESETVAL  (0x00000000u)

/* R0463 */

#define CSL_RINCEWIND_B8_R0463_RX_ESVO_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0463_RX_ESVO_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0463_RX_ESVO_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0463_RX_ESVO_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R0463_RX_ESVO_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0463_RX_ESVO_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0463_RESETVAL  (0x00000000u)

/* R0464 */

#define CSL_RINCEWIND_B8_R0464_RX_ESPATLEN_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0464_RX_ESPATLEN_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0464_RX_ESPATLEN_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0464_RESETVAL  (0x00000000u)

/* R0465 */

#define CSL_RINCEWIND_B8_R0465_RX_ESPATLEN_15_08_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0465_RX_ESPATLEN_15_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0465_RX_ESPATLEN_15_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0465_RESETVAL  (0x00000000u)

/* R0466 */

#define CSL_RINCEWIND_B8_R0466_RX_ESWORD_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0466_RX_ESWORD_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0466_RX_ESWORD_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0466_RESETVAL  (0x00000000u)

/* R0467 */

#define CSL_RINCEWIND_B8_R0467_RX_ESDONE_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0467_RX_ESDONE_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0467_RX_ESDONE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0467_RX_ESRUN_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R0467_RX_ESRUN_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R0467_RX_ESRUN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0467_RX_ESVOMODE_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R0467_RX_ESVOMODE_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0467_RX_ESVOMODE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0467_RX_ESWORD_11_08_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R0467_RX_ESWORD_11_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0467_RX_ESWORD_11_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0467_RESETVAL  (0x00000000u)

/* R0468 */

#define CSL_RINCEWIND_B8_R0468_RX_ESBITSEL_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R0468_RX_ESBITSEL_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0468_RX_ESBITSEL_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0468_RESETVAL  (0x00000000u)

/* R046A */

#define CSL_RINCEWIND_B8_R046A_RX_ESCOUNT_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R046A_RX_ESCOUNT_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R046A_RX_ESCOUNT_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R046A_RESETVAL  (0x00000000u)

/* R046B */

#define CSL_RINCEWIND_B8_R046B_RX_ESCOUNT_15_08_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R046B_RX_ESCOUNT_15_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R046B_RX_ESCOUNT_15_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R046B_RESETVAL  (0x00000000u)

/* R046C */

#define CSL_RINCEWIND_B8_R046C_RX_ESTIMER_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R046C_RX_ESTIMER_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R046C_RX_ESTIMER_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R046C_RESETVAL  (0x00000000u)

/* R046D */

#define CSL_RINCEWIND_B8_R046D_RX_ESTIMER_15_08_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R046D_RX_ESTIMER_15_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R046D_RX_ESTIMER_15_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R046D_RESETVAL  (0x00000000u)

/* R0490 */

#define CSL_RINCEWIND_B8_R0490_RX_AZ_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0490_RX_AZ_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0490_RX_AZ_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0490_RX_AZDONE_MASK (0x00000020u)
#define CSL_RINCEWIND_B8_R0490_RX_AZDONE_SHIFT (0x00000005u)
#define CSL_RINCEWIND_B8_R0490_RX_AZDONE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0490_RX_AZAVG_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R0490_RX_AZAVG_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0490_RX_AZAVG_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0490_RX_ENAZ_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0490_RX_ENAZ_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0490_RX_ENAZ_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0490_RESETVAL  (0x00000000u)

/* R0491 */

#define CSL_RINCEWIND_B8_R0491_RX_AZSA_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R0491_RX_AZSA_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0491_RX_AZSA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0491_RESETVAL  (0x00000000u)

/* R0499 */

#define CSL_RINCEWIND_B8_R0499_RX_AZSAES_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R0499_RX_AZSAES_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0499_RX_AZSAES_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0499_RESETVAL  (0x00000000u)

/* R049A */

#define CSL_RINCEWIND_B8_R049A_RX_AZAEQ_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R049A_RX_AZAEQ_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R049A_RX_AZAEQ_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R049A_RESETVAL  (0x00000000u)

/* R049B */

#define CSL_RINCEWIND_B8_R049B_RX_AZAEQCMP_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R049B_RX_AZAEQCMP_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R049B_RX_AZAEQCMP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R049B_RESETVAL  (0x00000000u)

/* R049C */

#define CSL_RINCEWIND_B8_R049C_RX_AZCM_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R049C_RX_AZCM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R049C_RX_AZCM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R049C_RESETVAL  (0x00000000u)

/* R049D */

#define CSL_RINCEWIND_B8_R049D_RX_AZCMCMP_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R049D_RX_AZCMCMP_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R049D_RX_AZCMCMP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R049D_RESETVAL  (0x00000000u)

/* R049E */

#define CSL_RINCEWIND_B8_R049E_RX_AZLOS_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R049E_RX_AZLOS_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R049E_RX_AZLOS_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R049E_RESETVAL  (0x00000000u)

/* R04A0 */

#define CSL_RINCEWIND_B8_R04A0_RX_QCDIS_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04A0_RX_QCDIS_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04A0_RX_QCDIS_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A0_RX_RXCMSEL_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R04A0_RX_RXCMSEL_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R04A0_RX_RXCMSEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A0_RX_RXASEL_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R04A0_RX_RXASEL_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04A0_RX_RXASEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A0_RESETVAL  (0x00000000u)

/* R04A1 */

#define CSL_RINCEWIND_B8_R04A1_RX_CBCNT_MASK (0x0000001Eu)
#define CSL_RINCEWIND_B8_R04A1_RX_CBCNT_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R04A1_RX_CBCNT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A1_RX_CBIST_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04A1_RX_CBIST_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04A1_RX_CBIST_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A1_RESETVAL  (0x00000000u)

/* R04A2 */

#define CSL_RINCEWIND_B8_R04A2_RX_RXCMHI_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04A2_RX_RXCMHI_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04A2_RX_RXCMHI_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A2_RX_RXTRIM_MASK (0x00000060u)
#define CSL_RINCEWIND_B8_R04A2_RX_RXTRIM_SHIFT (0x00000005u)
#define CSL_RINCEWIND_B8_R04A2_RX_RXTRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A2_RX_RESERVED_036_MASK (0x00000018u)
#define CSL_RINCEWIND_B8_R04A2_RX_RESERVED_036_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R04A2_RX_RESERVED_036_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04A2_RESETVAL  (0x00000000u)

/* R04D6 */

#define CSL_RINCEWIND_B8_R04D6_RX_REGUP_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04D6_RX_REGUP_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04D6_RX_REGUP_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04D6_RX_INTON_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R04D6_RX_INTON_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R04D6_RX_INTON_RESETVAL (u)

#define CSL_RINCEWIND_B8_R04D6_RX_REGUP_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04D6_RX_REGUP_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04D6_RX_REGUP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04D6_RESETVAL  (0x00000000u)

/* R04DC */

#define CSL_RINCEWIND_B8_R04DC_RX_RXDSEL_STKY_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04DC_RX_RXDSEL_STKY_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04DC_RX_RXDSEL_STKY_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DC_RX_CNTDSEL_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R04DC_RX_CNTDSEL_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R04DC_RX_CNTDSEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DC_RX_RXDSEL_MASK (0x00000038u)
#define CSL_RINCEWIND_B8_R04DC_RX_RXDSEL_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R04DC_RX_RXDSEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DC_RESETVAL  (0x00000000u)

/* R04DD */

#define CSL_RINCEWIND_B8_R04DD_RX_BSINRXP_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSINRXP_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSINRXP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DD_RX_BSINRXN_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSINRXN_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSINRXN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DD_RX_BSRXP_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSRXP_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSRXP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DD_RX_BSRXN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSRXN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04DD_RX_BSRXN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DD_RESETVAL  (0x00000000u)

/* R04DF */

#define CSL_RINCEWIND_B8_R04DF_RX_WS_UNSHADOW_OWN_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_UNSHADOW_OWN_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_UNSHADOW_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DF_RX_WS_CONTROL_OWN_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_CONTROL_OWN_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_CONTROL_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DF_RX_WS_MONITOR_OWN_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_MONITOR_OWN_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_MONITOR_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DF_RX_WS_EYESCAN_OWN_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_EYESCAN_OWN_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_EYESCAN_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DF_RX_WS_CORE_OWN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_CORE_OWN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04DF_RX_WS_CORE_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04DF_RESETVAL  (0x00000000u)

/* R04E0 */

#define CSL_RINCEWIND_B8_R04E0_TX_EN_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04E0_TX_EN_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04E0_TX_EN_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E0_TX_EN_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R04E0_TX_EN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E0_TX_EN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E0_RESETVAL  (0x00000000u)

/* R04E1 */

#define CSL_RINCEWIND_B8_R04E1_TX_BW_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04E1_TX_BW_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04E1_TX_BW_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E1_TX_BUSWIDTH_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R04E1_TX_BUSWIDTH_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E1_TX_BUSWIDTH_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E1_RESETVAL  (0x00000000u)

/* R04E2 */

#define CSL_RINCEWIND_B8_R04E2_TX_RATE_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04E2_TX_RATE_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04E2_TX_RATE_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E2_TX_RATE_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R04E2_TX_RATE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E2_TX_RATE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E2_RESETVAL  (0x00000000u)

/* R04E3 */

#define CSL_RINCEWIND_B8_R04E3_TX_RESERVED_034_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04E3_TX_RESERVED_034_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04E3_TX_RESERVED_034_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E3_TX_RESERVED_035_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R04E3_TX_RESERVED_035_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E3_TX_RESERVED_035_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E3_RESETVAL  (0x00000000u)

/* R04E4 */

#define CSL_RINCEWIND_B8_R04E4_TX_INVPAIR_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04E4_TX_INVPAIR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E4_TX_INVPAIR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E4_RESETVAL  (0x00000000u)

/* R04E5 */

#define CSL_RINCEWIND_B8_R04E5_TX_AGGR_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04E5_TX_AGGR_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04E5_TX_AGGR_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E5_TX_ENTALIGN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04E5_TX_ENTALIGN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E5_TX_ENTALIGN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E5_RESETVAL  (0x00000000u)

/* R04E8 */

#define CSL_RINCEWIND_B8_R04E8_TX_TX_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04E8_TX_TX_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04E8_TX_TX_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E8_TX_FIRUPT_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04E8_TX_FIRUPT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E8_TX_FIRUPT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E8_RESETVAL  (0x00000000u)

/* R04E9 */

#define CSL_RINCEWIND_B8_R04E9_TX_SWING_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R04E9_TX_SWING_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04E9_TX_SWING_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04E9_RESETVAL  (0x00000000u)

/* R04EA */

#define CSL_RINCEWIND_B8_R04EA_TX_TWPRE_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R04EA_TX_TWPRE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04EA_TX_TWPRE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04EA_RESETVAL  (0x00000000u)

/* R04EB */

#define CSL_RINCEWIND_B8_R04EB_TX_TWCRF_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R04EB_TX_TWCRF_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04EB_TX_TWCRF_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04EB_RESETVAL  (0x00000000u)

/* R04EC */

#define CSL_RINCEWIND_B8_R04EC_TX_TWPST1_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R04EC_TX_TWPST1_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04EC_TX_TWPST1_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04EC_RESETVAL  (0x00000000u)

/* R04ED */

#define CSL_RINCEWIND_B8_R04ED_TX_SLEW_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R04ED_TX_SLEW_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04ED_TX_SLEW_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04ED_RESETVAL  (0x00000000u)

/* R04EE */

#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_030_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_030_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_030_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_031_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_031_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_031_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_032_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_032_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_032_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_033_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_033_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04EE_TX_RESERVED_033_RESETVAL (u)

#define CSL_RINCEWIND_B8_R04EE_RESETVAL  (0x00000000u)

/* R04F0 */

#define CSL_RINCEWIND_B8_R04F0_TX_LOOPBACK_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R04F0_TX_LOOPBACK_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R04F0_TX_LOOPBACK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04F0_TX_TESTPATT_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R04F0_TX_TESTPATT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04F0_TX_TESTPATT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04F0_RESETVAL  (0x00000000u)

/* R04F1 */

#define CSL_RINCEWIND_B8_R04F1_TX_BSTX_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04F1_TX_BSTX_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04F1_TX_BSTX_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04F1_RESETVAL  (0x00000000u)

/* R04F8 */

#define CSL_RINCEWIND_B8_R04F8_TX_TXASEL_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R04F8_TX_TXASEL_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04F8_TX_TXASEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04F8_RESETVAL  (0x00000000u)

/* R04F9 */

#define CSL_RINCEWIND_B8_R04F9_TX_AFRRATE_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R04F9_TX_AFRRATE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04F9_TX_AFRRATE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04F9_RESETVAL  (0x00000000u)

/* R04FA */

#define CSL_RINCEWIND_B8_R04FA_TX_AFRSIGN_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R04FA_TX_AFRSIGN_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R04FA_TX_AFRSIGN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04FA_TX_AFR_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04FA_TX_AFR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04FA_TX_AFR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04FA_RESETVAL  (0x00000000u)

/* R04FB */

#define CSL_RINCEWIND_B8_R04FB_TX_DIVDATA_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R04FB_TX_DIVDATA_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R04FB_TX_DIVDATA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04FB_TX_QCDIS_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R04FB_TX_QCDIS_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R04FB_TX_QCDIS_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04FB_TX_CM_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04FB_TX_CM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04FB_TX_CM_RESETVAL (u)

#define CSL_RINCEWIND_B8_R04FB_RESETVAL  (0x00000000u)

/* R04FF */

#define CSL_RINCEWIND_B8_R04FF_TX_WS_CONTROL_OWN_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R04FF_TX_WS_CONTROL_OWN_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R04FF_TX_WS_CONTROL_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04FF_TX_WS_CORE_OWN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R04FF_TX_WS_CORE_OWN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R04FF_TX_WS_CORE_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R04FF_RESETVAL  (0x00000000u)

/* R0000 */

#define CSL_RINCEWIND_B8_R0000_PLLP_EN_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0000_PLLP_EN_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0000_PLLP_EN_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0000_PLLP_EN_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0000_PLLP_EN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0000_PLLP_EN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0000_RESETVAL  (0x00000000u)

/* R0001 */

#define CSL_RINCEWIND_B8_R0001_PLLP_MPY_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0001_PLLP_MPY_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0001_PLLP_MPY_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0001_RESETVAL  (0x00000000u)

/* R0003 */

#define CSL_RINCEWIND_B8_R0003_PLLP_MPY_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0003_PLLP_MPY_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0003_PLLP_MPY_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0003_PLLP_VRANGE_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0003_PLLP_VRANGE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0003_PLLP_VRANGE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0003_RESETVAL  (0x00000000u)

/* R0004 */

#define CSL_RINCEWIND_B8_R0004_PLLP_UNLOCK_STKY_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0004_PLLP_UNLOCK_STKY_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0004_PLLP_UNLOCK_STKY_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0004_PLLP_LOCK_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0004_PLLP_LOCK_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0004_PLLP_LOCK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0004_RESETVAL  (0x00000000u)

/* R0005 */

#define CSL_RINCEWIND_B8_R0005_PLLP_RESERVED_042_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0005_PLLP_RESERVED_042_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0005_PLLP_RESERVED_042_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0005_PLLP_LB_MASK (0x00000060u)
#define CSL_RINCEWIND_B8_R0005_PLLP_LB_SHIFT (0x00000005u)
#define CSL_RINCEWIND_B8_R0005_PLLP_LB_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0005_PLLP_RESERVED_043_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0005_PLLP_RESERVED_043_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0005_PLLP_RESERVED_043_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0005_RESETVAL  (0x00000000u)

/* R0006 */

#define CSL_RINCEWIND_B8_R0006_PLLP_DIVCLKRATE_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R0006_PLLP_DIVCLKRATE_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0006_PLLP_DIVCLKRATE_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0006_RESETVAL  (0x00000000u)

/* R0007 */

#define CSL_RINCEWIND_B8_R0007_PLLP_AGGR_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0007_PLLP_AGGR_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0007_PLLP_AGGR_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0007_PLLP_SELALIGNOUT_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R0007_PLLP_SELALIGNOUT_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0007_PLLP_SELALIGNOUT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0007_PLLP_ENREFCLKOUT_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R0007_PLLP_ENREFCLKOUT_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R0007_PLLP_ENREFCLKOUT_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0007_PLLP_TALIGN_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R0007_PLLP_TALIGN_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R0007_PLLP_TALIGN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0007_PLLP_ENPALIGN_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0007_PLLP_ENPALIGN_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0007_PLLP_ENPALIGN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0007_PLLP_PALIGN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0007_PLLP_PALIGN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0007_PLLP_PALIGN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0007_RESETVAL  (0x00000000u)

/* R0008 */

#define CSL_RINCEWIND_B8_R0008_PLLP_TALIGNDIV_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0008_PLLP_TALIGNDIV_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0008_PLLP_TALIGNDIV_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0008_RESETVAL  (0x00000000u)

/* R0009 */

#define CSL_RINCEWIND_B8_R0009_PLLP_TALIGNDIV_08_08_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0009_PLLP_TALIGNDIV_08_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0009_PLLP_TALIGNDIV_08_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0009_RESETVAL  (0x00000000u)

/* R000D */

#define CSL_RINCEWIND_B8_R000D_PLLP_LPFCP_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R000D_PLLP_LPFCP_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R000D_PLLP_LPFCP_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R000D_PLLP_LPF_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R000D_PLLP_LPF_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R000D_PLLP_LPF_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R000D_PLLP_DR_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R000D_PLLP_DR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R000D_PLLP_DR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R000D_RESETVAL  (0x00000000u)

/* R000E */

#define CSL_RINCEWIND_B8_R000E_PLLP_ENVRANGE_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R000E_PLLP_ENVRANGE_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R000E_PLLP_ENVRANGE_RESETVAL (u)

#define CSL_RINCEWIND_B8_R000E_PLLP_CP_RO_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R000E_PLLP_CP_RO_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R000E_PLLP_CP_RO_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R000E_RESETVAL  (0x00000000u)

/* R000F */

#define CSL_RINCEWIND_B8_R000F_PLLP_PLL_INIT_STKY_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R000F_PLLP_PLL_INIT_STKY_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R000F_PLLP_PLL_INIT_STKY_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R000F_PLLP_NEARLOCK_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R000F_PLLP_NEARLOCK_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R000F_PLLP_NEARLOCK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R000F_RESETVAL  (0x00000000u)

/* R0080 */

#define CSL_RINCEWIND_B8_R0080_PLLP_DLOCKREFTEST_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DLOCKREFTEST_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DLOCKREFTEST_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0080_PLLP_DLOCKFBKTEST_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DLOCKFBKTEST_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DLOCKFBKTEST_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0080_PLLP_NOLCKRST_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R0080_PLLP_NOLCKRST_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R0080_PLLP_NOLCKRST_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0080_PLLP_DIS_DLOCKDT_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DIS_DLOCKDT_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DIS_DLOCKDT_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0080_PLLP_DIS_ALOCKDT_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DIS_ALOCKDT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0080_PLLP_DIS_ALOCKDT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0080_RESETVAL  (0x00000000u)

/* R0081 */

#define CSL_RINCEWIND_B8_R0081_PLLP_ALOCK_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0081_PLLP_ALOCK_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0081_PLLP_ALOCK_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0081_PLLP_ALOCK_RES_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R0081_PLLP_ALOCK_RES_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0081_PLLP_ALOCK_RES_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0081_RESETVAL  (0x00000000u)

/* R0090 */

#define CSL_RINCEWIND_B8_R0090_PLLP_RCIN_BIAS_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R0090_PLLP_RCIN_BIAS_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0090_PLLP_RCIN_BIAS_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0090_PLLP_RCIN_PSRR_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0090_PLLP_RCIN_PSRR_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0090_PLLP_RCIN_PSRR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0090_RESETVAL  (0x00000000u)

/* R0091 */

#define CSL_RINCEWIND_B8_R0091_PLLP_REGV_MASK (0x00000030u)
#define CSL_RINCEWIND_B8_R0091_PLLP_REGV_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R0091_PLLP_REGV_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0091_PLLP_HRBUFVOH_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0091_PLLP_HRBUFVOH_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0091_PLLP_HRBUFVOH_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0091_RESETVAL  (0x00000000u)

/* R0092 */

#define CSL_RINCEWIND_B8_R0092_PLLP_VRES_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0092_PLLP_VRES_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0092_PLLP_VRES_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0092_RESETVAL  (0x00000000u)

/* R0093 */

#define CSL_RINCEWIND_B8_R0093_PLLP_ASEL_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R0093_PLLP_ASEL_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0093_PLLP_ASEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0093_RESETVAL  (0x00000000u)

/* R00A0 */

#define CSL_RINCEWIND_B8_R00A0_PLLP_EFR_BIAS_ITRIM_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R00A0_PLLP_EFR_BIAS_ITRIM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R00A0_PLLP_EFR_BIAS_ITRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00A0_RESETVAL  (0x00000000u)

/* R00A1 */

#define CSL_RINCEWIND_B8_R00A1_PLLP_EFR_BIAS2_RTRIM_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R00A1_PLLP_EFR_BIAS2_RTRIM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R00A1_PLLP_EFR_BIAS2_RTRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00A1_RESETVAL  (0x00000000u)

/* R00A2 */

#define CSL_RINCEWIND_B8_R00A2_PLLP_EFR_BIAS1_RTRIM_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R00A2_PLLP_EFR_BIAS1_RTRIM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R00A2_PLLP_EFR_BIAS1_RTRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00A2_RESETVAL  (0x00000000u)

/* R00A3 */

#define CSL_RINCEWIND_B8_R00A3_PLLP_EFT_BIAS_ITRIM_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R00A3_PLLP_EFT_BIAS_ITRIM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R00A3_PLLP_EFT_BIAS_ITRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00A3_RESETVAL  (0x00000000u)

/* R00B0 */

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_FRIG_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_FRIG_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_FRIG_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_BGAPBUF_MASK (0x00000020u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_BGAPBUF_SHIFT (0x00000005u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_BGAPBUF_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_BGAP_MASK (0x00000010u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_BGAP_SHIFT (0x00000004u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_BGAP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_HRCLK_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_HRCLK_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_HRCLK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_RESERVED_041_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_RESERVED_041_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_RESERVED_041_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_PLL_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_PLL_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_PLL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_RCIN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_RCIN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R00B0_PLLP_PU_RCIN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00B0_RESETVAL  (0x00000000u)

/* R00FF */

#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_MONITOR_OWN_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_MONITOR_OWN_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_MONITOR_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_CONTROL_OWN_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_CONTROL_OWN_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_CONTROL_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_CORE_OWN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_CORE_OWN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R00FF_PLLP_WS_CORE_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R00FF_RESETVAL  (0x00000000u)

/* R0200 */

#define CSL_RINCEWIND_B8_R0200_MISC_OCPLAT_MASK (0x00000007u)
#define CSL_RINCEWIND_B8_R0200_MISC_OCPLAT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0200_MISC_OCPLAT_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0200_RESETVAL  (0x00000000u)

/* R0201 */

#define CSL_RINCEWIND_B8_R0201_MISC_OCPRSTN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R0201_MISC_OCPRSTN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0201_MISC_OCPRSTN_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0201_RESETVAL  (0x00000000u)

/* R0210 */

#define CSL_RINCEWIND_B8_R0210_MISC_USR_PATT_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0210_MISC_USR_PATT_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0210_MISC_USR_PATT_07_00_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0210_RESETVAL  (0x00000000u)

/* R0211 */

#define CSL_RINCEWIND_B8_R0211_MISC_USR_PATT_15_08_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0211_MISC_USR_PATT_15_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0211_MISC_USR_PATT_15_08_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0211_RESETVAL  (0x00000000u)

/* R0212 */

#define CSL_RINCEWIND_B8_R0212_MISC_USR_PATT_19_16_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R0212_MISC_USR_PATT_19_16_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0212_MISC_USR_PATT_19_16_RESETVAL (u)

#define CSL_RINCEWIND_B8_R0212_RESETVAL  (0x00000000u)

/* R0220 */

#define CSL_RINCEWIND_B8_R0220_MISC_CLKBYP_MASK (0x0000000Fu)
#define CSL_RINCEWIND_B8_R0220_MISC_CLKBYP_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0220_MISC_CLKBYP_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0220_RESETVAL  (0x00000000u)

/* R0280 */

#define CSL_RINCEWIND_B8_R0280_MISC_EFUSE_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R0280_MISC_EFUSE_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R0280_MISC_EFUSE_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0280_MISC_EFR_CML_RTRIM_MASK (0x0000000Cu)
#define CSL_RINCEWIND_B8_R0280_MISC_EFR_CML_RTRIM_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R0280_MISC_EFR_CML_RTRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0280_MISC_EF_TERM_RTRIM_MASK (0x00000003u)
#define CSL_RINCEWIND_B8_R0280_MISC_EF_TERM_RTRIM_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0280_MISC_EF_TERM_RTRIM_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0280_RESETVAL  (0x00000000u)

/* R0281 */

#define CSL_RINCEWIND_B8_R0281_MISC_RESERVED_040_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R0281_MISC_RESERVED_040_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R0281_MISC_RESERVED_040_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R0281_RESETVAL  (0x00000000u)

/* R02A0 */

#define CSL_RINCEWIND_B8_R02A0_MISC_JTAG_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R02A0_MISC_JTAG_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R02A0_MISC_JTAG_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02A0_MISC_ENJTAG_MASK (0x00000040u)
#define CSL_RINCEWIND_B8_R02A0_MISC_ENJTAG_SHIFT (0x00000006u)
#define CSL_RINCEWIND_B8_R02A0_MISC_ENJTAG_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02A0_MISC_ENBSPT_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R02A0_MISC_ENBSPT_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R02A0_MISC_ENBSPT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02A0_MISC_BSINITCLK_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R02A0_MISC_BSINITCLK_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02A0_MISC_BSINITCLK_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02A0_RESETVAL  (0x00000000u)

/* R02B0 */

#define CSL_RINCEWIND_B8_R02B0_MISC_PU_OVR_MASK (0x00000080u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_OVR_SHIFT (0x00000007u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_OVR_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02B0_MISC_PU_TXINT_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_TXINT_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_TXINT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02B0_MISC_PU_RXINT_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_RXINT_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_RXINT_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02B0_MISC_PU_RXA_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_RXA_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_RXA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02B0_MISC_PU_TXA_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_TXA_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02B0_MISC_PU_TXA_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02B0_RESETVAL  (0x00000000u)

/* R02C0 */

#define CSL_RINCEWIND_B8_R02C0_MISC_SCOFRUN_MASK (0x00000008u)
#define CSL_RINCEWIND_B8_R02C0_MISC_SCOFRUN_SHIFT (0x00000003u)
#define CSL_RINCEWIND_B8_R02C0_MISC_SCOFRUN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02C0_MISC_SCOSEL_MASK (0x00000006u)
#define CSL_RINCEWIND_B8_R02C0_MISC_SCOSEL_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R02C0_MISC_SCOSEL_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02C0_MISC_ENSCO_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R02C0_MISC_ENSCO_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02C0_MISC_ENSCO_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02C0_RESETVAL  (0x00000000u)

/* R02C1 */

#define CSL_RINCEWIND_B8_R02C1_MISC_SCOMINT_MASK (0x0000001Fu)
#define CSL_RINCEWIND_B8_R02C1_MISC_SCOMINT_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02C1_MISC_SCOMINT_RESETVAL (u)

#define CSL_RINCEWIND_B8_R02C1_RESETVAL  (0x00000000u)

/* R02C2 */

#define CSL_RINCEWIND_B8_R02C2_MISC_SCOCOUNT_07_00_MASK (0x000000FFu)
#define CSL_RINCEWIND_B8_R02C2_MISC_SCOCOUNT_07_00_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02C2_MISC_SCOCOUNT_07_00_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02C2_RESETVAL  (0x00000000u)

/* R02C3 */

#define CSL_RINCEWIND_B8_R02C3_MISC_SCOCOUNT_13_08_MASK (0x0000003Fu)
#define CSL_RINCEWIND_B8_R02C3_MISC_SCOCOUNT_13_08_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02C3_MISC_SCOCOUNT_13_08_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02C3_RESETVAL  (0x00000000u)

/* R02FF */

#define CSL_RINCEWIND_B8_R02FF_MISC_WS_CONTROL_OWN_MASK (0x00000004u)
#define CSL_RINCEWIND_B8_R02FF_MISC_WS_CONTROL_OWN_SHIFT (0x00000002u)
#define CSL_RINCEWIND_B8_R02FF_MISC_WS_CONTROL_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02FF_MISC_WS_MONITOR_OWN_MASK (0x00000002u)
#define CSL_RINCEWIND_B8_R02FF_MISC_WS_MONITOR_OWN_SHIFT (0x00000001u)
#define CSL_RINCEWIND_B8_R02FF_MISC_WS_MONITOR_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02FF_MISC_WS_CORE_OWN_MASK (0x00000001u)
#define CSL_RINCEWIND_B8_R02FF_MISC_WS_CORE_OWN_SHIFT (0x00000000u)
#define CSL_RINCEWIND_B8_R02FF_MISC_WS_CORE_OWN_RESETVAL (0x00000000u)

#define CSL_RINCEWIND_B8_R02FF_RESETVAL  (0x00000000u)

#endif
