/*  ============================================================================
 *   Copyright (c) Texas Instruments Incorporated 2012-2013
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include <ti/csl/cslr_wiz8b4sb.h>

CSL_Wiz8b4sbRegs CSL_Wiz8b4sb_ResetVals;

void *Wiz8b4sb_Reset_Val_Read()
{
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_000 = CSL_WIZ8B4SB_CMU_000_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_004 = CSL_WIZ8B4SB_CMU_004_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_008 = CSL_WIZ8B4SB_CMU_008_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_00C = CSL_WIZ8B4SB_CMU_00C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_010 = CSL_WIZ8B4SB_CMU_010_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_014 = CSL_WIZ8B4SB_CMU_014_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_018 = CSL_WIZ8B4SB_CMU_018_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_01C = CSL_WIZ8B4SB_CMU_01C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_020 = CSL_WIZ8B4SB_CMU_020_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_024 = CSL_WIZ8B4SB_CMU_024_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_028 = CSL_WIZ8B4SB_CMU_028_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_02C = CSL_WIZ8B4SB_CMU_02C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_030 = CSL_WIZ8B4SB_CMU_030_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_034 = CSL_WIZ8B4SB_CMU_034_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_038 = CSL_WIZ8B4SB_CMU_038_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_03C = CSL_WIZ8B4SB_CMU_03C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_040 = CSL_WIZ8B4SB_CMU_040_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_044 = CSL_WIZ8B4SB_CMU_044_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_048 = CSL_WIZ8B4SB_CMU_048_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_04C = CSL_WIZ8B4SB_CMU_04C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_050 = CSL_WIZ8B4SB_CMU_050_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_054 = CSL_WIZ8B4SB_CMU_054_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_058 = CSL_WIZ8B4SB_CMU_058_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_05C = CSL_WIZ8B4SB_CMU_05C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_060 = CSL_WIZ8B4SB_CMU_060_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_064 = CSL_WIZ8B4SB_CMU_064_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_068 = CSL_WIZ8B4SB_CMU_068_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_06C = CSL_WIZ8B4SB_CMU_06C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_070 = CSL_WIZ8B4SB_CMU_070_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_074 = CSL_WIZ8B4SB_CMU_074_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_078 = CSL_WIZ8B4SB_CMU_078_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_07C = CSL_WIZ8B4SB_CMU_07C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_0EC = CSL_WIZ8B4SB_CMU_0EC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CMU.CMU_0FC = CSL_WIZ8B4SB_CMU_0FC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_000 = CSL_WIZ8B4SB_LANE_000_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_004 = CSL_WIZ8B4SB_LANE_004_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_008 = CSL_WIZ8B4SB_LANE_008_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_00C = CSL_WIZ8B4SB_LANE_00C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_010 = CSL_WIZ8B4SB_LANE_010_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_014 = CSL_WIZ8B4SB_LANE_014_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_018 = CSL_WIZ8B4SB_LANE_018_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_01C = CSL_WIZ8B4SB_LANE_01C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_020 = CSL_WIZ8B4SB_LANE_020_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_024 = CSL_WIZ8B4SB_LANE_024_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_028 = CSL_WIZ8B4SB_LANE_028_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_02C = CSL_WIZ8B4SB_LANE_02C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_030 = CSL_WIZ8B4SB_LANE_030_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_034 = CSL_WIZ8B4SB_LANE_034_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_038 = CSL_WIZ8B4SB_LANE_038_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_03C = CSL_WIZ8B4SB_LANE_03C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_040 = CSL_WIZ8B4SB_LANE_040_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_044 = CSL_WIZ8B4SB_LANE_044_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_048 = CSL_WIZ8B4SB_LANE_048_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_04C = CSL_WIZ8B4SB_LANE_04C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_050 = CSL_WIZ8B4SB_LANE_050_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_054 = CSL_WIZ8B4SB_LANE_054_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_058 = CSL_WIZ8B4SB_LANE_058_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_05C = CSL_WIZ8B4SB_LANE_05C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_060 = CSL_WIZ8B4SB_LANE_060_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_078 = CSL_WIZ8B4SB_LANE_078_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_07C = CSL_WIZ8B4SB_LANE_07C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_080 = CSL_WIZ8B4SB_LANE_080_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_084 = CSL_WIZ8B4SB_LANE_084_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_088 = CSL_WIZ8B4SB_LANE_088_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_08C = CSL_WIZ8B4SB_LANE_08C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_090 = CSL_WIZ8B4SB_LANE_090_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_094 = CSL_WIZ8B4SB_LANE_094_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_098 = CSL_WIZ8B4SB_LANE_098_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_09C = CSL_WIZ8B4SB_LANE_09C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0A0 = CSL_WIZ8B4SB_LANE_0A0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0A4 = CSL_WIZ8B4SB_LANE_0A4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0A8 = CSL_WIZ8B4SB_LANE_0A8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0AC = CSL_WIZ8B4SB_LANE_0AC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0B0 = CSL_WIZ8B4SB_LANE_0B0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0B4 = CSL_WIZ8B4SB_LANE_0B4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[0].LANE_0B8 = CSL_WIZ8B4SB_LANE_0B8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_000 = CSL_WIZ8B4SB_LANE_000_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_004 = CSL_WIZ8B4SB_LANE_004_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_008 = CSL_WIZ8B4SB_LANE_008_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_00C = CSL_WIZ8B4SB_LANE_00C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_010 = CSL_WIZ8B4SB_LANE_010_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_014 = CSL_WIZ8B4SB_LANE_014_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_018 = CSL_WIZ8B4SB_LANE_018_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_01C = CSL_WIZ8B4SB_LANE_01C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_020 = CSL_WIZ8B4SB_LANE_020_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_024 = CSL_WIZ8B4SB_LANE_024_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_028 = CSL_WIZ8B4SB_LANE_028_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_02C = CSL_WIZ8B4SB_LANE_02C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_030 = CSL_WIZ8B4SB_LANE_030_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_034 = CSL_WIZ8B4SB_LANE_034_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_038 = CSL_WIZ8B4SB_LANE_038_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_03C = CSL_WIZ8B4SB_LANE_03C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_040 = CSL_WIZ8B4SB_LANE_040_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_044 = CSL_WIZ8B4SB_LANE_044_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_048 = CSL_WIZ8B4SB_LANE_048_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_04C = CSL_WIZ8B4SB_LANE_04C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_050 = CSL_WIZ8B4SB_LANE_050_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_054 = CSL_WIZ8B4SB_LANE_054_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_058 = CSL_WIZ8B4SB_LANE_058_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_05C = CSL_WIZ8B4SB_LANE_05C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_060 = CSL_WIZ8B4SB_LANE_060_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_078 = CSL_WIZ8B4SB_LANE_078_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_07C = CSL_WIZ8B4SB_LANE_07C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_080 = CSL_WIZ8B4SB_LANE_080_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_084 = CSL_WIZ8B4SB_LANE_084_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_088 = CSL_WIZ8B4SB_LANE_088_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_08C = CSL_WIZ8B4SB_LANE_08C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_090 = CSL_WIZ8B4SB_LANE_090_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_094 = CSL_WIZ8B4SB_LANE_094_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_098 = CSL_WIZ8B4SB_LANE_098_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_09C = CSL_WIZ8B4SB_LANE_09C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0A0 = CSL_WIZ8B4SB_LANE_0A0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0A4 = CSL_WIZ8B4SB_LANE_0A4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0A8 = CSL_WIZ8B4SB_LANE_0A8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0AC = CSL_WIZ8B4SB_LANE_0AC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0B0 = CSL_WIZ8B4SB_LANE_0B0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0B4 = CSL_WIZ8B4SB_LANE_0B4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.LANE[1].LANE_0B8 = CSL_WIZ8B4SB_LANE_0B8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_000 = CSL_WIZ8B4SB_COMLANE_000_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_004 = CSL_WIZ8B4SB_COMLANE_004_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_008 = CSL_WIZ8B4SB_COMLANE_008_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_00C = CSL_WIZ8B4SB_COMLANE_00C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_010 = CSL_WIZ8B4SB_COMLANE_010_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_014 = CSL_WIZ8B4SB_COMLANE_014_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_018 = CSL_WIZ8B4SB_COMLANE_018_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_01C = CSL_WIZ8B4SB_COMLANE_01C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_030 = CSL_WIZ8B4SB_COMLANE_030_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_034 = CSL_WIZ8B4SB_COMLANE_034_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_038 = CSL_WIZ8B4SB_COMLANE_038_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_03C = CSL_WIZ8B4SB_COMLANE_03C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_040 = CSL_WIZ8B4SB_COMLANE_040_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_044 = CSL_WIZ8B4SB_COMLANE_044_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_048 = CSL_WIZ8B4SB_COMLANE_048_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_04C = CSL_WIZ8B4SB_COMLANE_04C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_050 = CSL_WIZ8B4SB_COMLANE_050_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_054 = CSL_WIZ8B4SB_COMLANE_054_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_058 = CSL_WIZ8B4SB_COMLANE_058_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_05C = CSL_WIZ8B4SB_COMLANE_05C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_060 = CSL_WIZ8B4SB_COMLANE_060_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_064 = CSL_WIZ8B4SB_COMLANE_064_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_068 = CSL_WIZ8B4SB_COMLANE_068_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_06C = CSL_WIZ8B4SB_COMLANE_06C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_070 = CSL_WIZ8B4SB_COMLANE_070_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_074 = CSL_WIZ8B4SB_COMLANE_074_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_078 = CSL_WIZ8B4SB_COMLANE_078_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_07C = CSL_WIZ8B4SB_COMLANE_07C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_080 = CSL_WIZ8B4SB_COMLANE_080_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_084 = CSL_WIZ8B4SB_COMLANE_084_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_088 = CSL_WIZ8B4SB_COMLANE_088_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_08C = CSL_WIZ8B4SB_COMLANE_08C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_090 = CSL_WIZ8B4SB_COMLANE_090_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_094 = CSL_WIZ8B4SB_COMLANE_094_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_098 = CSL_WIZ8B4SB_COMLANE_098_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_09C = CSL_WIZ8B4SB_COMLANE_09C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0A0 = CSL_WIZ8B4SB_COMLANE_0A0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0A4 = CSL_WIZ8B4SB_COMLANE_0A4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0A8 = CSL_WIZ8B4SB_COMLANE_0A8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0AC = CSL_WIZ8B4SB_COMLANE_0AC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0B0 = CSL_WIZ8B4SB_COMLANE_0B0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0B4 = CSL_WIZ8B4SB_COMLANE_0B4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0B8 = CSL_WIZ8B4SB_COMLANE_0B8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0BC = CSL_WIZ8B4SB_COMLANE_0BC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0C0 = CSL_WIZ8B4SB_COMLANE_0C0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0C4 = CSL_WIZ8B4SB_COMLANE_0C4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0C8 = CSL_WIZ8B4SB_COMLANE_0C8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0E8 = CSL_WIZ8B4SB_COMLANE_0E8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0EC = CSL_WIZ8B4SB_COMLANE_0EC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0F0 = CSL_WIZ8B4SB_COMLANE_0F0_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0F4 = CSL_WIZ8B4SB_COMLANE_0F4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0F8 = CSL_WIZ8B4SB_COMLANE_0F8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_0FC = CSL_WIZ8B4SB_COMLANE_0FC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_100 = CSL_WIZ8B4SB_COMLANE_100_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_104 = CSL_WIZ8B4SB_COMLANE_104_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_108 = CSL_WIZ8B4SB_COMLANE_108_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_10C = CSL_WIZ8B4SB_COMLANE_10C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_110 = CSL_WIZ8B4SB_COMLANE_110_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_114 = CSL_WIZ8B4SB_COMLANE_114_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_118 = CSL_WIZ8B4SB_COMLANE_118_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_11C = CSL_WIZ8B4SB_COMLANE_11C_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_120 = CSL_WIZ8B4SB_COMLANE_120_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_124 = CSL_WIZ8B4SB_COMLANE_124_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_1F4 = CSL_WIZ8B4SB_COMLANE_1F4_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_1F8 = CSL_WIZ8B4SB_COMLANE_1F8_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.COMLANE.COMLANE_1FC = CSL_WIZ8B4SB_COMLANE_1FC_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CONFIG.MOD_VER = CSL_WIZ8B4SB_MOD_VER_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CONFIG.LANEXCTL_STS[0] = CSL_WIZ8B4SB_LANEXCTL_STS_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CONFIG.LANEXCTL_STS[1] = CSL_WIZ8B4SB_LANEXCTL_STS_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CONFIG.PLL_CTRL = CSL_WIZ8B4SB_PLL_CTRL_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CONFIG.COMMA_LINK_DELAY = CSL_WIZ8B4SB_COMMA_LINK_DELAY_RESETVAL;
    CSL_Wiz8b4sb_ResetVals.CONFIG.CMU_WAIT = CSL_WIZ8B4SB_CMU_WAIT_RESETVAL;
    return ((void *)&CSL_Wiz8b4sb_ResetVals);
}
