/******************************************************************************
 * FILE PURPOSE: RM Source module specification file.
 ******************************************************************************
 * FILE NAME: module.xs
 *
 * DESCRIPTION: 
 *  This file contains the module specification for the RM source directory.
 *
 * Copyright (C) 2012-2013, Texas Instruments, Inc.
 *****************************************************************************/

/* Load the library utility. */
var libUtility = xdc.loadCapsule ("../build/buildlib.xs");

var rmFile = [
    "src/rm.c",
    "src/rm_nameserver.c",
    "src/rm_policy.c",
    "src/rm_services.c",
    "src/rm_transport.c",
    "src/rm_tree.c",
    "src/rm_dtb_util.c",
    "src/rm_allocator.c",
    "util/libfdt/fdt.c",
    "util/libfdt/fdt_ro.c",
    "util/libfdt/fdt_rw.c",
    "util/libfdt/fdt_strerror.c",
    "util/libfdt/fdt_sw.c",
    "util/libfdt/fdt_wip.c",
];

/**************************************************************************
 * FUNCTION NAME : modBuild
 **************************************************************************
 * DESCRIPTION   :
 *  The function is used to build all the components of the RM library
 **************************************************************************/
function modBuild() 
{
    /* Build the libraries for all the targets specified. */
    for (var targets=0; targets < Build.targets.length; targets++)
    {
        var libOptions = {
            incs: lldIncludePath, 
        };
        
        libUtility.buildLibrary (libOptions, "ti.drv.rm", Build.targets[targets], rmFile);
    }

    /* Add all the .c files to the release package. */
    var testFiles = libUtility.listAllFiles (".c", "src", true);
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];  
}
