#*******************************************************************************
#* FILE PURPOSE: Lower level makefile for Creating Component Libraries
#*******************************************************************************
#* FILE NAME: ./build/c66/ti.drv.sa.ae66.mk
#*
#* DESCRIPTION: Defines Source Files, Compilers flags and build rules
#*
#*
#*******************************************************************************
#

#
# Macro definitions referenced below
#
empty =
space =$(empty) $(empty)
CC = $(C6X_GEN_INSTALL_PATH)/bin/cl6x -c -mo -o3 -q -k -eo.o -mv6600 --abi=eabi
AC = $(C6X_GEN_INSTALL_PATH)/bin/cl6x -c -qq -mv6600 --abi=eabi
ARIN = $(C6X_GEN_INSTALL_PATH)/bin/ar6x rq
LD = $(C6X_GEN_INSTALL_PATH)/bin/lnk6x --abi=eabi
RTSLIB = -l $(C6X_GEN_INSTALL_PATH)/lib/undefined
INCS = -I. -I$(strip $(subst ;, -I,$(subst $(space),\$(space),$(INCDIR))))
OBJEXT = oe66
AOBJEXT = se66
INTERNALDEFS = -Dti_targets_elf_C66  -DMAKEFILE_BUILD -eo.$(OBJEXT) -ea.$(AOBJEXT) -fr=$(@D) -fs=$(@D) -ppa -ppd=$@.dep
INTERNALLINKDEFS = -o $@ -m $@.map
OBJDIR =  $(LIBDIR)/obj

#List the COMMONSRC Files
COMMONSRCC= \
    src/cipher/salldaes.c\
    src/cipher/salldaes_f8.c\
    src/cipher/salldgcm.c\
    src/cipher/salldaes_ctr.c\
    src/salldmci.c\
    src/salldctbl.c\
    src/auth/salldhmac_sha2.c\
    src/auth/salldxcbc.c\
    src/auth/salldmd5.c\
    src/auth/salldcmac.c\
    src/auth/salldhmac_md5.c\
    src/auth/salldsha2.c\
    src/auth/salldsha1.c\
    src/auth/salldhmac_sha1.c\
    src/salldsc.c\
    src/proto/datamode/sallddm.c\
    src/proto/datamode/sallddmcmdl.c\
    src/proto/datamode/sallddminit.c\
    src/proto/ipsec/salldipsec.c\
    src/proto/ipsec/salldah.c\
    src/proto/ipsec/salldesp.c\
    src/proto/ipsec/salldipsecinit.c\
    src/proto/airciph/salldacinit.c\
    src/proto/airciph/salldac.c\
    src/proto/srtp/salldsrtcp.c\
    src/proto/srtp/salldsrtcpinit.c\
    src/proto/srtp/salldsrtp.c\
    src/proto/srtp/salldsrtp_f8.c\
    src/proto/srtp/salldsrtpsc.c\
    src/proto/srtp/salldsrtcp_ctr.c\
    src/proto/srtp/salldsrtpinit.c\
    src/proto/srtp/salldsrtp_ctr.c\
    src/proto/srtp/salldsrtcp_f8.c\
    src/salldtxrx.c\
    src/salld.c\
    src/salldcom.c

# FLAGS for the COMMONSRC Files
COMMONSRCCFLAGS =   -I./src -I. -I./test -I$(C6X_GEN_INSTALL_PATH)/include

# Make Rule for the COMMONSRC Files
COMMONSRCCOBJS = $(patsubst %.c, $(OBJDIR)/%.$(OBJEXT), $(COMMONSRCC))

$(COMMONSRCCOBJS): $(OBJDIR)/%.$(OBJEXT): %.c
	-@echo cle66 $< ...
	@if [ ! -d $(@D) ]; then $(MKDIR) $(@D) ; fi;
	@$(RM) $@.dep
	@$(CC) $(COMMONSRCCFLAGS) $(INTERNALDEFS) $(INCS) -fc $< 
	-@$(CP) $@.dep $@.pp; \
         $(SED) -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
             -e '/^$$/ d' -e 's/$$/ :/' < $@.pp >> $@.dep; \
         $(RM) $@.pp 

#Create Empty rule for dependency
$(COMMONSRCCOBJS):./build/c66/ti.drv.sa.ae66.mk
./build/c66/ti.drv.sa.ae66.mk:

#Include Depedency for COMMONSRC Files
ifneq (clean,$(MAKECMDGOALS))
 -include $(COMMONSRCCOBJS:%.$(OBJEXT)=%.$(OBJEXT).dep)
endif


$(LIBDIR)/c66/ti.drv.sa.ae66 : $(COMMONSRCCOBJS)
	@echo archiving $? into $@ ...
	if [ ! -d $(LIBDIR)/c66 ]; then $(MKDIR) $(LIBDIR)/c66 ; fi;
	$(ARIN) $@ $?
