/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************
* file: cslr_cortexa15_nogic.h
*
* Brief: This file contains the Register Description for cortexa15_nogic
*
*********************************************************************/
#ifndef _CSLR_CORTEXA15_NOGIC_R2P0_0_H_
#define _CSLR_CORTEXA15_NOGIC_R2P0_0_H_


#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>

/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure for PMX
\**************************************************************************/
typedef struct  {
    volatile Uint32 PMXEVCNTR0;
    volatile Uint32 PMXEVCNTR1;
    volatile Uint32 PMXEVCNTR2;
    volatile Uint32 PMXEVCNTR3;
    volatile Uint32 PMXEVCNTR4;
    volatile Uint32 PMXEVCNTR5;
    volatile Uint8 RSVD0[100];
    volatile Uint32 PMCCNTR;
    volatile Uint8 RSVD1[896];
    volatile Uint32 PMXEVTYPER0;
    volatile Uint32 PMXEVTYPER1;
    volatile Uint32 PMXEVTYPER2;
    volatile Uint32 PMXEVTYPER3;
    volatile Uint32 PMXEVTYPER4;
    volatile Uint32 PMXEVTYPER5;
    volatile Uint8 RSVD2[100];
    volatile Uint32 PMCCFILTR;
    volatile Uint8 RSVD3[1920];
    volatile Uint32 PMCNTENSET;
    volatile Uint8 RSVD4[28];
    volatile Uint32 PMCNTENCLR;
    volatile Uint8 RSVD5[28];
    volatile Uint32 PMINTENSET;
    volatile Uint8 RSVD6[28];
    volatile Uint32 PMINTENCLR;
    volatile Uint8 RSVD7[28];
    volatile Uint32 PMOVSR;
    volatile Uint8 RSVD8[28];
    volatile Uint32 PMSWINC;
    volatile Uint8 RSVD9[348];
    volatile Uint32 PMCFGR;
    volatile Uint32 PMCR;
    volatile Uint32 PMUSERENR;
    volatile Uint8 RSVD10[20];
    volatile Uint32 PMCEID0;
    volatile Uint32 PMCEID1;
    volatile Uint8 RSVD11[392];
    volatile Uint32 PMLAR;
    volatile Uint32 PMLSR;
    volatile Uint32 PMAUTHSTATUS;
    volatile Uint8 RSVD12[16];
    volatile Uint32 PMDEVTYPE;
    volatile Uint32 PMPID4;
    volatile Uint32 PMPID5;
    volatile Uint32 PMPID6;
    volatile Uint32 PMPID7;
    volatile Uint32 PMPID0;
    volatile Uint32 PMPID1;
    volatile Uint32 PMPID2;
    volatile Uint32 PMPID3;
    volatile Uint32 PMCID0;
    volatile Uint32 PMCID1;
    volatile Uint32 PMCID2;
    volatile Uint32 PMCID3;
} CSL_Cortexa15_nogicPmxRegs;

/**************************************************************************\
* Register Overlay Structure for DBG
\**************************************************************************/
typedef struct  {
    volatile Uint32 DBGDIDR;
    volatile Uint8 RSVD0[20];
    volatile Uint32 DBGWFAR;
    volatile Uint32 DBGVCR;
    volatile Uint8 RSVD1[4];
    volatile Uint32 DBGECR;
    volatile Uint8 RSVD2[88];
    volatile Uint32 DBGDTRRX;
    volatile Uint32 DBGITR;
    volatile Uint32 DBGDSCR;
    volatile Uint32 DBGDTRTX;
    volatile Uint32 DBGDRCR;
    volatile Uint32 DBGEACR;
    volatile Uint8 RSVD3[8];
    volatile Uint32 DBGPCSR_1;
    volatile Uint32 DBGCIDSR;
    volatile Uint32 DBGVIDSR;
    volatile Uint8 RSVD4[84];
    volatile Uint32 DBGBVR0;
    volatile Uint32 DBGBVR1;
    volatile Uint32 DBGBVR2;
    volatile Uint32 DBGBVR3;
    volatile Uint32 DBGBVR4;
    volatile Uint32 DBGBVR5;
    volatile Uint8 RSVD5[40];
    volatile Uint32 DBGBCR0;
    volatile Uint32 DBGBCR1;
    volatile Uint32 DBGBCR2;
    volatile Uint32 DBGBCR3;
    volatile Uint32 DBGBCR4;
    volatile Uint32 DBGBCR5;
    volatile Uint8 RSVD6[40];
    volatile Uint32 DBGWVR0;
    volatile Uint32 DBGWVR1;
    volatile Uint32 DBGWVR2;
    volatile Uint32 DBGWVR3;
    volatile Uint8 RSVD7[48];
    volatile Uint32 DBGWCR0;
    volatile Uint32 DBGWCR1;
    volatile Uint32 DBGWCR2;
    volatile Uint32 DBGWCR3;
    volatile Uint8 RSVD8[128];
    volatile Uint32 DBGBXVR0;
    volatile Uint32 DBGBXVR1;
    volatile Uint8 RSVD9[168];
    volatile Uint32 DBGOSLAR;
    volatile Uint32 DBGOSLSR;
    volatile Uint8 RSVD10[8];
    volatile Uint32 DBGPRCR;
    volatile Uint32 DBGPRSR;
    volatile Uint8 RSVD11[2536];
    volatile Uint32 MIDR;
    volatile Uint32 CTR;
    volatile Uint32 TCMTR;
    volatile Uint32 TLBTR;
    volatile Uint32 MPUIR;
    volatile Uint32 MPIDR;
    volatile Uint32 REVIDR;
    volatile Uint8 RSVD12[4];
    volatile Uint32 ID_PFR0;
    volatile Uint32 ID_PFR1;
    volatile Uint32 ID_DFR0;
    volatile Uint32 ID_AFR0;
    volatile Uint32 ID_MMFR0;
    volatile Uint32 ID_MMFR1;
    volatile Uint32 ID_MMFR2;
    volatile Uint32 ID_MMFR3;
    volatile Uint32 ID_ISAR0;
    volatile Uint32 ID_ISAR1;
    volatile Uint32 ID_ISAR2;
    volatile Uint32 ID_ISAR3;
    volatile Uint32 ID_ISAR4;
    volatile Uint32 ID_ISAR5;
    volatile Uint8 RSVD13[416];
    volatile Uint32 DBGITOCTRL;
    volatile Uint32 DBGITISR;
    volatile Uint32 DBGITCTRL;
    volatile Uint8 RSVD14[156];
    volatile Uint32 DBGCLAIMSET;
    volatile Uint32 DBGCLAIMCLR;
    volatile Uint8 RSVD15[8];
    volatile Uint32 DBGLAR;
    volatile Uint32 DBGLSR;
    volatile Uint32 DBGAUTHSTATUS;
    volatile Uint8 RSVD16[4];
    volatile Uint32 DBGDEVID2;
    volatile Uint32 DBGDEVID1;
    volatile Uint32 DBGDEVID0;
    volatile Uint32 DBGDEVTYPE;
    volatile Uint32 DBGPID4;
    volatile Uint8 RSVD17[12];
    volatile Uint32 DBGPID0;
    volatile Uint32 DBGPID1;
    volatile Uint32 DBGPID2;
    volatile Uint32 DBGPID3;
    volatile Uint32 DBGCID0;
    volatile Uint32 DBGCID1;
    volatile Uint32 DBGCID2;
    volatile Uint32 DBGCID3;
} CSL_Cortexa15_nogicDbgRegs;

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    CSL_Cortexa15_nogicPmxRegs PMX;
    volatile Uint8 RSVD0[61440];
    CSL_Cortexa15_nogicDbgRegs DBG;
} CSL_Cortexa15_nogicRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* PMXEVCNTR0 */

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR0_PMNX_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR0_PMNX_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR0_PMNX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR0_RESETVAL (0x00000000u)

/* PMXEVCNTR1 */

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR1_PMNX_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR1_PMNX_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR1_PMNX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR1_RESETVAL (0x00000000u)

/* PMXEVCNTR2 */

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR2_PMNX_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR2_PMNX_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR2_PMNX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR2_RESETVAL (0x00000000u)

/* PMXEVCNTR3 */

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR3_PMNX_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR3_PMNX_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR3_PMNX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR3_RESETVAL (0x00000000u)

/* PMXEVCNTR4 */

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR4_PMNX_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR4_PMNX_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR4_PMNX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR4_RESETVAL (0x00000000u)

/* PMXEVCNTR5 */

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR5_PMNX_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR5_PMNX_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVCNTR5_PMNX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVCNTR5_RESETVAL (0x00000000u)

/* PMCCNTR */

#define CSL_CORTEXA15_NOGIC_PMCCNTR_CCNT_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMCCNTR_CCNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCCNTR_CCNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCCNTR_RESETVAL (0x00000000u)

/* PMXEVTYPER0 */

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER0_EVTCOUNT_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER0_EVTCOUNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER0_EVTCOUNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER0_RESETVAL (0x00000000u)

/* PMXEVTYPER1 */

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER1_EVTCOUNT_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER1_EVTCOUNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER1_EVTCOUNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER1_RESETVAL (0x00000000u)

/* PMXEVTYPER2 */

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER2_EVTCOUNT_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER2_EVTCOUNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER2_EVTCOUNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER2_RESETVAL (0x00000000u)

/* PMXEVTYPER3 */

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER3_EVTCOUNT_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER3_EVTCOUNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER3_EVTCOUNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER3_RESETVAL (0x00000000u)

/* PMXEVTYPER4 */

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER4_EVTCOUNT_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER4_EVTCOUNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER4_EVTCOUNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER4_RESETVAL (0x00000000u)

/* PMXEVTYPER5 */

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER5_EVTCOUNT_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER5_EVTCOUNT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMXEVTYPER5_EVTCOUNT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMXEVTYPER5_RESETVAL (0x00000000u)

/* PMCCFILTR */

#define CSL_CORTEXA15_NOGIC_PMCCFILTR_PL1_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_PL1_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_PL1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCCFILTR_U_MASK (0x40000000u)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_U_SHIFT (0x0000001Eu)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_U_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSPL1_MASK (0x20000000u)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSPL1_SHIFT (0x0000001Du)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSPL1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSU_MASK (0x10000000u)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSU_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSH_MASK (0x08000000u)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSH_SHIFT (0x0000001Bu)
#define CSL_CORTEXA15_NOGIC_PMCCFILTR_NSH_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCCFILTR_RESETVAL (0x00000000u)

/* PMCNTENSET */

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_C_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_C_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P5_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P5_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P5_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P4_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P4_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P4_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P3_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P3_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P2_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P2_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P1_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P1_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCNTENSET_P0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENSET_RESETVAL (0x00000000u)

/* PMCNTENCLR */

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_C_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_C_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P5_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P5_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P5_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P4_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P4_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P4_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P3_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P3_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P2_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P2_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P1_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P1_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_P0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCNTENCLR_RESETVAL (0x00000000u)

/* PMINTENSET */

#define CSL_CORTEXA15_NOGIC_PMINTENSET_C_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_C_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_P5_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P5_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P5_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_P4_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P4_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P4_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_P3_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P3_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_P2_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P2_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_P1_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P1_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_P0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMINTENSET_P0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENSET_RESETVAL (0x00000000u)

/* PMINTENCLR */

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_C_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_C_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P5_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P5_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P5_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P4_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P4_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P4_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P3_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P3_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P2_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P2_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P1_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P1_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMINTENCLR_P0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMINTENCLR_RESETVAL (0x00000000u)

/* PMOVSR */

#define CSL_CORTEXA15_NOGIC_PMOVSR_C_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_C_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_PMOVSR_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_P5_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P5_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P5_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_P4_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P4_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P4_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_P3_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P3_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_P2_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P2_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_P1_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P1_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_P0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMOVSR_P0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMOVSR_RESETVAL (0x00000000u)

/* PMSWINC */

#define CSL_CORTEXA15_NOGIC_PMSWINC_P5_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P5_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P5_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMSWINC_P4_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P4_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P4_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMSWINC_P3_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P3_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMSWINC_P2_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P2_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMSWINC_P1_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P1_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMSWINC_P0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMSWINC_P0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMSWINC_RESETVAL (0x00000000u)

/* PMCFGR */

#define CSL_CORTEXA15_NOGIC_PMCFGR_UEN_MASK (0x00080000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_UEN_SHIFT (0x00000013u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_UEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_WT_MASK (0x00040000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_WT_SHIFT (0x00000012u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_WT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_NA_MASK (0x00020000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_NA_SHIFT (0x00000011u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_NA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_EX_MASK (0x00010000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_EX_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_EX_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_CCD_MASK (0x00008000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_CCD_SHIFT (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_PMCFGR_CCD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_CC_MASK (0x00004000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_CC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_PMCFGR_CC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_SIZE_MASK (0x00001800u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_SIZE_SHIFT (0x0000000Bu)
#define CSL_CORTEXA15_NOGIC_PMCFGR_SIZE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_N_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMCFGR_N_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCFGR_N_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCFGR_RESETVAL (0x00000000u)

/* PMCR */

#define CSL_CORTEXA15_NOGIC_PMCR_IMP_MASK (0xFF000000u)
#define CSL_CORTEXA15_NOGIC_PMCR_IMP_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_PMCR_IMP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_IDCODE_MASK (0x00FF0000u)
#define CSL_CORTEXA15_NOGIC_PMCR_IDCODE_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCR_IDCODE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_N_MASK  (0x0000F800u)
#define CSL_CORTEXA15_NOGIC_PMCR_N_SHIFT (0x0000000Bu)
#define CSL_CORTEXA15_NOGIC_PMCR_N_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_DP_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMCR_DP_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMCR_DP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_X_MASK  (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCR_X_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCR_X_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_D_MASK  (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMCR_D_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMCR_D_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_C_MASK  (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCR_C_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCR_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_P_MASK  (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCR_P_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCR_P_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_E_MASK  (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCR_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCR_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCR_RESETVAL (0x00000000u)

/* PMUSERENR */

#define CSL_CORTEXA15_NOGIC_PMUSERENR_EN_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMUSERENR_EN_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMUSERENR_EN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMUSERENR_RESETVAL (0x00000000u)

/* PMCEID0 */

#define CSL_CORTEXA15_NOGIC_PMCEID0_BUSCYCLE_MASK (0x20000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_BUSCYCLE_SHIFT (0x0000001Du)
#define CSL_CORTEXA15_NOGIC_PMCEID0_BUSCYCLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSWRITETOTTB_MASK (0x10000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSWRITETOTTB_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSWRITETOTTB_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_SPECEXC_MASK (0x08000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_SPECEXC_SHIFT (0x0000001Bu)
#define CSL_CORTEXA15_NOGIC_PMCEID0_SPECEXC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_LOCALMEMERR_MASK (0x04000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_LOCALMEMERR_SHIFT (0x0000001Au)
#define CSL_CORTEXA15_NOGIC_PMCEID0_LOCALMEMERR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_BUSACCESS_MASK (0x02000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_BUSACCESS_SHIFT (0x00000019u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_BUSACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEWB_MASK (0x01000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEWB_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEWB_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEREFILL_MASK (0x00800000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEREFILL_SHIFT (0x00000017u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEREFILL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEACCESS_MASK (0x00400000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEACCESS_SHIFT (0x00000016u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L2DCACHEACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEWB_MASK (0x00200000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEWB_SHIFT (0x00000015u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEWB_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1ICACHEACCESS_MASK (0x00100000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1ICACHEACCESS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1ICACHEACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_DATAMEMACCESS_MASK (0x00080000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_DATAMEMACCESS_SHIFT (0x00000013u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_DATAMEMACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PREDBRNSPECEXC_MASK (0x00040000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PREDBRNSPECEXC_SHIFT (0x00000012u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PREDBRNSPECEXC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_CYCLE_MASK (0x00020000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_CYCLE_SHIFT (0x00000011u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_CYCLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_MISPREDBRNSPECEXC_MASK (0x00010000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_MISPREDBRNSPECEXC_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_MISPREDBRNSPECEXC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSUNALGNLS_MASK (0x00008000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSUNALGNLS_SHIFT (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSUNALGNLS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSPRCRETURN_MASK (0x00004000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSPRCRETURN_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSPRCRETURN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_IMMBRN_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_IMMBRN_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_PMCEID0_IMMBRN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSWCHANGEPC_MASK (0x00001000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSWCHANGEPC_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSWCHANGEPC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSWRITETOCONTEXTIDR_MASK (0x00000800u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSWRITETOCONTEXTIDR_SHIFT (0x0000000Bu)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSWRITETOCONTEXTIDR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSEXCRETURN_MASK (0x00000400u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSEXCRETURN_SHIFT (0x0000000Au)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSEXCRETURN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_EXCTAKEN_MASK (0x00000200u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_EXCTAKEN_SHIFT (0x00000009u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_EXCTAKEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_INSTARCHEXC_MASK (0x00000100u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_INSTARCHEXC_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_INSTARCHEXC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSTORE_MASK (0x00000080u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSTORE_SHIFT (0x00000007u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSTORE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSLOAD_MASK (0x00000040u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSLOAD_SHIFT (0x00000006u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSLOAD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DATATLBREFILL_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DATATLBREFILL_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DATATLBREFILL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEACCESS_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEACCESS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEREFILL_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEREFILL_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1DCACHEREFILL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1INSTTLBREFILL_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1INSTTLBREFILL_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1INSTTLBREFILL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_L1ICACHEREFILL_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1ICACHEREFILL_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_L1ICACHEREFILL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSWINC_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSWINC_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCEID0_PASSSWINC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCEID0_RESETVAL (0x00000000u)

/* PMCEID1 */

#define CSL_CORTEXA15_NOGIC_PMCEID1_RESETVAL (0x00000000u)

/* PMLAR */

#define CSL_CORTEXA15_NOGIC_PMLAR_LOCKACCESSCONTROL_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_PMLAR_LOCKACCESSCONTROL_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMLAR_LOCKACCESSCONTROL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMLAR_RESETVAL (0x00000000u)

/* PMLSR */

#define CSL_CORTEXA15_NOGIC_PMLSR_NTT_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMLSR_NTT_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMLSR_NTT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMLSR_SLK_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMLSR_SLK_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMLSR_SLK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMLSR_SLI_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMLSR_SLI_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMLSR_SLI_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMLSR_RESETVAL (0x00000000u)

/* PMAUTHSTATUS */

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECNINVDBGFTIMP_MASK (0x00000080u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECNINVDBGFTIMP_SHIFT (0x00000007u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECNINVDBGFTIMP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECNINVDBGEN_MASK (0x00000040u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECNINVDBGEN_SHIFT (0x00000006u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECNINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECINVDBGFTIMP_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECINVDBGFTIMP_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECINVDBGFTIMP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECINVDBGEN_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECINVDBGEN_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_SECINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECNINVDBGFTIMP_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECNINVDBGFTIMP_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECNINVDBGFTIMP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECNINVDBGEN_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECNINVDBGEN_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECNINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECINVDBGFTIMP_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECINVDBGFTIMP_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECINVDBGFTIMP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECINVDBGEN_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECINVDBGEN_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_NSECINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMAUTHSTATUS_RESETVAL (0x00000000u)

/* PMDEVTYPE */

#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_T_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_T_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_T_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_C_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_C_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_C_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMDEVTYPE_RESETVAL (0x00000000u)

/* PMPID4 */

#define CSL_CORTEXA15_NOGIC_PMPID4_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID4_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID4_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID4_RESETVAL (0x00000000u)

/* PMPID5 */

#define CSL_CORTEXA15_NOGIC_PMPID5_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID5_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID5_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID5_RESETVAL (0x00000000u)

/* PMPID6 */

#define CSL_CORTEXA15_NOGIC_PMPID6_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID6_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID6_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID6_RESETVAL (0x00000000u)

/* PMPID7 */

#define CSL_CORTEXA15_NOGIC_PMPID7_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID7_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID7_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID7_RESETVAL (0x00000000u)

/* PMPID0 */

#define CSL_CORTEXA15_NOGIC_PMPID0_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID0_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID0_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID0_RESETVAL (0x00000000u)

/* PMPID1 */

#define CSL_CORTEXA15_NOGIC_PMPID1_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID1_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID1_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID1_RESETVAL (0x00000000u)

/* PMPID2 */

#define CSL_CORTEXA15_NOGIC_PMPID2_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID2_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID2_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID2_RESETVAL (0x00000000u)

/* PMPID3 */

#define CSL_CORTEXA15_NOGIC_PMPID3_PID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMPID3_PID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMPID3_PID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMPID3_RESETVAL (0x00000000u)

/* PMCID0 */

#define CSL_CORTEXA15_NOGIC_PMCID0_CID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMCID0_CID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCID0_CID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCID0_RESETVAL (0x00000000u)

/* PMCID1 */

#define CSL_CORTEXA15_NOGIC_PMCID1_CID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMCID1_CID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCID1_CID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCID1_RESETVAL (0x00000000u)

/* PMCID2 */

#define CSL_CORTEXA15_NOGIC_PMCID2_CID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMCID2_CID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCID2_CID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCID2_RESETVAL (0x00000000u)

/* PMCID3 */

#define CSL_CORTEXA15_NOGIC_PMCID3_CID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_PMCID3_CID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_PMCID3_CID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_PMCID3_RESETVAL (0x00000000u)

/* DBGDIDR */

#define CSL_CORTEXA15_NOGIC_DBGDIDR_WRPS_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_WRPS_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_WRPS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_BRPS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_BRPS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_BRPS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_CTX_CMPS_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_CTX_CMPS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_CTX_CMPS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_VERSION_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_VERSION_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_VERSION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_DEVID_MASK (0x00008000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_DEVID_SHIFT (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_DEVID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_NSUHD_MASK (0x00004000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_NSUHD_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_NSUHD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_PCSR_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_PCSR_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_PCSR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_SE_MASK (0x00001000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_SE_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_SE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_VARIANT_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_VARIANT_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_VARIANT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_REVISION_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_REVISION_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDIDR_REVISION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDIDR_RESETVAL (0x00000000u)

/* DBGWFAR */

#define CSL_CORTEXA15_NOGIC_DBGWFAR_IAPLUSOFFSET_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGWFAR_IAPLUSOFFSET_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGWFAR_IAPLUSOFFSET_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWFAR_RESETVAL (0x00000000u)

/* DBGVCR */

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSF_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSF_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSF_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSI_MASK (0x40000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSI_SHIFT (0x0000001Eu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSI_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSD_MASK (0x10000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSD_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSP_MASK (0x08000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSP_SHIFT (0x0000001Bu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSS_MASK (0x04000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSS_SHIFT (0x0000001Au)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSU_MASK (0x02000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSU_SHIFT (0x00000019u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHF_MASK (0x00800000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHF_SHIFT (0x00000017u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHF_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHI_MASK (0x00400000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHI_SHIFT (0x00000016u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHI_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHE_MASK (0x00200000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHE_SHIFT (0x00000015u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHD_MASK (0x00100000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHD_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHP_MASK (0x00080000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHP_SHIFT (0x00000013u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHC_MASK (0x00040000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHC_SHIFT (0x00000012u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHU_MASK (0x00020000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHU_SHIFT (0x00000011u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_NSHU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_MF_MASK (0x00008000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MF_SHIFT (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MF_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_MI_MASK (0x00004000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MI_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MI_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_MD_MASK (0x00001000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MD_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_MP_MASK (0x00000800u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MP_SHIFT (0x0000000Bu)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_MS_MASK (0x00000400u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MS_SHIFT (0x0000000Au)
#define CSL_CORTEXA15_NOGIC_DBGVCR_MS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_SF_MASK (0x00000080u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SF_SHIFT (0x00000007u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SF_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_SI_MASK (0x00000040u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SI_SHIFT (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SI_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_SD_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SD_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_SP_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SP_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_SS_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_SU_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SU_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_SU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_R_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_R_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGVCR_R_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVCR_RESETVAL (0x00000000u)

/* DBGECR */

#define CSL_CORTEXA15_NOGIC_DBGECR_OSUCE_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGECR_OSUCE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGECR_OSUCE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGECR_RESETVAL (0x00000000u)

/* DBGDTRRX */

#define CSL_CORTEXA15_NOGIC_DBGDTRRX_HOSTTOTARGETDATA_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGDTRRX_HOSTTOTARGETDATA_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDTRRX_HOSTTOTARGETDATA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDTRRX_RESETVAL (0x00000000u)

/* DBGITR */

#define CSL_CORTEXA15_NOGIC_DBGITR_ARMINSTR_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGITR_ARMINSTR_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGITR_ARMINSTR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITR_RESETVAL (0x00000000u)

/* DBGPCSR_0 */

#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_PCS_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_PCS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_PCS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_IS_MASK (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_IS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_IS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPCSR_0_RESETVAL (0x00000000u)

/* DBGDSCR */

#define CSL_CORTEXA15_NOGIC_DBGDSCR_RXFULL_MASK (0x40000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_RXFULL_SHIFT (0x0000001Eu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_RXFULL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_TXFULL_MASK (0x20000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_TXFULL_SHIFT (0x0000001Du)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_TXFULL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_RXFULLL_MASK (0x08000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_RXFULLL_SHIFT (0x0000001Bu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_RXFULLL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_TXFULLL_MASK (0x04000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_TXFULLL_SHIFT (0x0000001Au)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_TXFULLL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_PIPEADV_MASK (0x02000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_PIPEADV_SHIFT (0x00000019u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_PIPEADV_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_INSTRCOMPLL_MASK (0x01000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_INSTRCOMPLL_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_INSTRCOMPLL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_EXTDCCMODE_MASK (0x00300000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_EXTDCCMODE_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_EXTDCCMODE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_ADADISCARD_MASK (0x00080000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_ADADISCARD_SHIFT (0x00000013u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_ADADISCARD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_NS_MASK (0x00040000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_NS_SHIFT (0x00000012u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_NS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_SPNIDDIS_MASK (0x00020000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_SPNIDDIS_SHIFT (0x00000011u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_SPNIDDIS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_SPIDDIS_MASK (0x00010000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_SPIDDIS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_SPIDDIS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_MDBGEN_MASK (0x00008000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_MDBGEN_SHIFT (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_MDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_HDBGEN_MASK (0x00004000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_HDBGEN_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_HDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_ITREN_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_ITREN_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_ITREN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_UDCCDIS_MASK (0x00001000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_UDCCDIS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_UDCCDIS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_INTDIS_MASK (0x00000800u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_INTDIS_SHIFT (0x0000000Bu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_INTDIS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_DBGACK_MASK (0x00000400u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_DBGACK_SHIFT (0x0000000Au)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_DBGACK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_FS_MASK (0x00000200u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_FS_SHIFT (0x00000009u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_FS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_UNDL_MASK (0x00000100u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_UNDL_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_UNDL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_ADABORTL_MASK (0x00000080u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_ADABORTL_SHIFT (0x00000007u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_ADABORTL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_SDABORTL_MASK (0x00000040u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_SDABORTL_SHIFT (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_SDABORTL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_MOE_MASK (0x0000003Cu)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_MOE_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_MOE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_RESTARTED_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_RESTARTED_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_RESTARTED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_HALTED_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_HALTED_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDSCR_HALTED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDSCR_RESETVAL (0x00000000u)

/* DBGDTRTX */

#define CSL_CORTEXA15_NOGIC_DBGDTRTX_TARGETTOHOSTDATA_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGDTRTX_TARGETTOHOSTDATA_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDTRTX_TARGETTOHOSTDATA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDTRTX_RESETVAL (0x00000000u)

/* DBGDRCR */

#define CSL_CORTEXA15_NOGIC_DBGDRCR_CBRRQ_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_CBRRQ_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_CBRRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDRCR_CSPA_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_CSPA_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_CSPA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDRCR_CSE_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_CSE_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_CSE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDRCR_RRQ_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_RRQ_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_RRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDRCR_HRQ_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_HRQ_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDRCR_HRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDRCR_RESETVAL (0x00000000u)

/* DBGEACR */

#define CSL_CORTEXA15_NOGIC_DBGEACR_CDRS_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_CDRS_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_CDRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGEACR_DECRRQ_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_DECRRQ_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_DECRRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGEACR_DPDO_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_DPDO_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_DPDO_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGEACR_DCSC_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_DCSC_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGEACR_DCSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGEACR_RESETVAL (0x00000000u)

/* DBGPCSR_1 */

#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_PCS_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_PCS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_PCS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_IS_MASK (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_IS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_IS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPCSR_1_RESETVAL (0x00000000u)

/* DBGCIDSR */

#define CSL_CORTEXA15_NOGIC_DBGCIDSR_CONTEXTIDRSAMPVAL_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGCIDSR_CONTEXTIDRSAMPVAL_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCIDSR_CONTEXTIDRSAMPVAL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCIDSR_RESETVAL (0x00000000u)

/* DBGVIDSR */

#define CSL_CORTEXA15_NOGIC_DBGVIDSR_NS_MASK (0x80000000u)
#define CSL_CORTEXA15_NOGIC_DBGVIDSR_NS_SHIFT (0x0000001Fu)
#define CSL_CORTEXA15_NOGIC_DBGVIDSR_NS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVIDSR_H_MASK (0x40000000u)
#define CSL_CORTEXA15_NOGIC_DBGVIDSR_H_SHIFT (0x0000001Eu)
#define CSL_CORTEXA15_NOGIC_DBGVIDSR_H_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVIDSR_VMID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGVIDSR_VMID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGVIDSR_VMID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGVIDSR_RESETVAL (0x00000000u)

/* DBGBVR0 */

#define CSL_CORTEXA15_NOGIC_DBGBVR0_IA_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGBVR0_IA_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGBVR0_IA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR0_CONTEXTID_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGBVR0_CONTEXTID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBVR0_CONTEXTID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR0_RESETVAL (0x00000000u)

/* DBGBVR1 */

#define CSL_CORTEXA15_NOGIC_DBGBVR1_IA_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGBVR1_IA_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGBVR1_IA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR1_CONTEXTID_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGBVR1_CONTEXTID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBVR1_CONTEXTID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR1_RESETVAL (0x00000000u)

/* DBGBVR2 */

#define CSL_CORTEXA15_NOGIC_DBGBVR2_IA_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGBVR2_IA_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGBVR2_IA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR2_CONTEXTID_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGBVR2_CONTEXTID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBVR2_CONTEXTID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR2_RESETVAL (0x00000000u)

/* DBGBVR3 */

#define CSL_CORTEXA15_NOGIC_DBGBVR3_IA_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGBVR3_IA_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGBVR3_IA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR3_CONTEXTID_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGBVR3_CONTEXTID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBVR3_CONTEXTID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR3_RESETVAL (0x00000000u)

/* DBGBVR4 */

#define CSL_CORTEXA15_NOGIC_DBGBVR4_IA_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGBVR4_IA_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGBVR4_IA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR4_CONTEXTID_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGBVR4_CONTEXTID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBVR4_CONTEXTID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR4_RESETVAL (0x00000000u)

/* DBGBVR5 */

#define CSL_CORTEXA15_NOGIC_DBGBVR5_IA_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGBVR5_IA_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGBVR5_IA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR5_CONTEXTID_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGBVR5_CONTEXTID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBVR5_CONTEXTID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBVR5_RESETVAL (0x00000000u)

/* DBGBCR0 */

#define CSL_CORTEXA15_NOGIC_DBGBCR0_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_BT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_BT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_BT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_BAS_MASK (0x000001E0u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_PMC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_PMC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_PMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR0_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR0_RESETVAL (0x00000000u)

/* DBGBCR1 */

#define CSL_CORTEXA15_NOGIC_DBGBCR1_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_BT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_BT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_BT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_BAS_MASK (0x000001E0u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_PMC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_PMC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_PMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR1_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR1_RESETVAL (0x00000000u)

/* DBGBCR2 */

#define CSL_CORTEXA15_NOGIC_DBGBCR2_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_BT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_BT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_BT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_BAS_MASK (0x000001E0u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_PMC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_PMC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_PMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR2_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR2_RESETVAL (0x00000000u)

/* DBGBCR3 */

#define CSL_CORTEXA15_NOGIC_DBGBCR3_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_BT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_BT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_BT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_BAS_MASK (0x000001E0u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_PMC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_PMC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_PMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR3_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR3_RESETVAL (0x00000000u)

/* DBGBCR4 */

#define CSL_CORTEXA15_NOGIC_DBGBCR4_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_BT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_BT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_BT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_BAS_MASK (0x000001E0u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_PMC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_PMC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_PMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR4_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR4_RESETVAL (0x00000000u)

/* DBGBCR5 */

#define CSL_CORTEXA15_NOGIC_DBGBCR5_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_BT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_BT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_BT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_BAS_MASK (0x000001E0u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_PMC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_PMC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_PMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBCR5_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBCR5_RESETVAL (0x00000000u)

/* DBGWVR0 */

#define CSL_CORTEXA15_NOGIC_DBGWVR0_DATAADDRESS_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGWVR0_DATAADDRESS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGWVR0_DATAADDRESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWVR0_RESETVAL (0x00000000u)

/* DBGWVR1 */

#define CSL_CORTEXA15_NOGIC_DBGWVR1_DATAADDRESS_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGWVR1_DATAADDRESS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGWVR1_DATAADDRESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWVR1_RESETVAL (0x00000000u)

/* DBGWVR2 */

#define CSL_CORTEXA15_NOGIC_DBGWVR2_DATAADDRESS_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGWVR2_DATAADDRESS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGWVR2_DATAADDRESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWVR2_RESETVAL (0x00000000u)

/* DBGWVR3 */

#define CSL_CORTEXA15_NOGIC_DBGWVR3_DATAADDRESS_MASK (0xFFFFFFFCu)
#define CSL_CORTEXA15_NOGIC_DBGWVR3_DATAADDRESS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGWVR3_DATAADDRESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWVR3_RESETVAL (0x00000000u)

/* DBGWCR0 */

#define CSL_CORTEXA15_NOGIC_DBGWCR0_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_WT_MASK (0x00100000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_WT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_WT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_BAS_MASK (0x00001FE0u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_LSC_MASK (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_LSC_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_LSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_PAC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_PAC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_PAC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR0_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR0_RESETVAL (0x00000000u)

/* DBGWCR1 */

#define CSL_CORTEXA15_NOGIC_DBGWCR1_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_WT_MASK (0x00100000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_WT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_WT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_BAS_MASK (0x00001FE0u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_LSC_MASK (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_LSC_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_LSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_PAC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_PAC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_PAC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR1_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR1_RESETVAL (0x00000000u)

/* DBGWCR2 */

#define CSL_CORTEXA15_NOGIC_DBGWCR2_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_WT_MASK (0x00100000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_WT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_WT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_BAS_MASK (0x00001FE0u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_LSC_MASK (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_LSC_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_LSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_PAC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_PAC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_PAC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR2_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR2_RESETVAL (0x00000000u)

/* DBGWCR3 */

#define CSL_CORTEXA15_NOGIC_DBGWCR3_MASK_MASK (0x1F000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_MASK_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_MASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_WT_MASK (0x00100000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_WT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_WT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_LBN_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_LBN_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_LBN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_SSC_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_SSC_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_SSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_HMC_MASK (0x00002000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_HMC_SHIFT (0x0000000Du)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_HMC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_BAS_MASK (0x00001FE0u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_BAS_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_BAS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_LSC_MASK (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_LSC_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_LSC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_PAC_MASK (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_PAC_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_PAC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_E_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_E_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGWCR3_E_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGWCR3_RESETVAL (0x00000000u)

/* DBGBXVR0 */

#define CSL_CORTEXA15_NOGIC_DBGBXVR0_VMID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGBXVR0_VMID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBXVR0_VMID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBXVR0_RESETVAL (0x00000000u)

/* DBGBXVR1 */

#define CSL_CORTEXA15_NOGIC_DBGBXVR1_VMID_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGBXVR1_VMID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGBXVR1_VMID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGBXVR1_RESETVAL (0x00000000u)

/* DBGOSLAR */

#define CSL_CORTEXA15_NOGIC_DBGOSLAR_OSLOCKACCESS_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGOSLAR_OSLOCKACCESS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGOSLAR_OSLOCKACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGOSLAR_RESETVAL (0x00000000u)

/* DBGOSLSR */

#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LM1_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LM1_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LM1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGOSLSR_NTT_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_NTT_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_NTT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LK_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LK_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LM0_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LM0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGOSLSR_LM0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGOSLSR_RESETVAL (0x00000000u)

/* DBGPRCR */

#define CSL_CORTEXA15_NOGIC_DBGPRCR_COREPURQ_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_COREPURQ_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_COREPURQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRCR_HCWR_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_HCWR_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_HCWR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRCR_CWRR_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_CWRR_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_CWRR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRCR_CORENPDRQ_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_CORENPDRQ_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPRCR_CORENPDRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRCR_RESETVAL (0x00000000u)

/* DBGPRSR */

#define CSL_CORTEXA15_NOGIC_DBGPRSR_DLK_MASK (0x00000040u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_DLK_SHIFT (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_DLK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_OSLK_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_OSLK_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_OSLK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_HALTED_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_HALTED_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_HALTED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_SR_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_SR_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_SR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_R_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_R_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_R_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_SPD_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_SPD_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_SPD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_PU_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_PU_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPRSR_PU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPRSR_RESETVAL (0x00000000u)

/* MIDR */

#define CSL_CORTEXA15_NOGIC_MIDR_IMPLEMENTER_MASK (0xFF000000u)
#define CSL_CORTEXA15_NOGIC_MIDR_IMPLEMENTER_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_MIDR_IMPLEMENTER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MIDR_VARIANT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_MIDR_VARIANT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_MIDR_VARIANT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MIDR_ARCHITECTURE_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_MIDR_ARCHITECTURE_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_MIDR_ARCHITECTURE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MIDR_PRIMARYPARTNUMBER_MASK (0x0000FFF0u)
#define CSL_CORTEXA15_NOGIC_MIDR_PRIMARYPARTNUMBER_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_MIDR_PRIMARYPARTNUMBER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MIDR_REVISION_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_MIDR_REVISION_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_MIDR_REVISION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MIDR_RESETVAL (0x00000000u)

/* CTR */

#define CSL_CORTEXA15_NOGIC_CTR_FORMAT_MASK (0xE0000000u)
#define CSL_CORTEXA15_NOGIC_CTR_FORMAT_SHIFT (0x0000001Du)
#define CSL_CORTEXA15_NOGIC_CTR_FORMAT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_CTR_CWG_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_CTR_CWG_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_CTR_CWG_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_CTR_ERG_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_CTR_ERG_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_CTR_ERG_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_CTR_DMINLINE_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_CTR_DMINLINE_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_CTR_DMINLINE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_CTR_L1IP_MASK (0x0000C000u)
#define CSL_CORTEXA15_NOGIC_CTR_L1IP_SHIFT (0x0000000Eu)
#define CSL_CORTEXA15_NOGIC_CTR_L1IP_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_CTR_IMINLINE_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_CTR_IMINLINE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_CTR_IMINLINE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_CTR_RESETVAL (0x00000000u)

/* TCMTR */

#define CSL_CORTEXA15_NOGIC_TCMTR_ITCM_MASK (0x00000007u)
#define CSL_CORTEXA15_NOGIC_TCMTR_ITCM_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_TCMTR_ITCM_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_TCMTR_DTCM_MASK (0x00070000u)
#define CSL_CORTEXA15_NOGIC_TCMTR_DTCM_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_TCMTR_DTCM_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_TCMTR_TCM_MASK (0xE0000000u)
#define CSL_CORTEXA15_NOGIC_TCMTR_TCM_SHIFT (0x0000001Du)
#define CSL_CORTEXA15_NOGIC_TCMTR_TCM_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_TCMTR_RESETVAL (0x00000000u)

/* TLBTR */

#define CSL_CORTEXA15_NOGIC_TLBTR_NU_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_TLBTR_NU_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_TLBTR_NU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_TLBTR_RESETVAL (0x00000000u)

/* MPUIR */

#define CSL_CORTEXA15_NOGIC_MPUIR_NU_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_MPUIR_NU_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_MPUIR_NU_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPUIR_DREGION_MASK (0x0000FF00u)
#define CSL_CORTEXA15_NOGIC_MPUIR_DREGION_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_MPUIR_DREGION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPUIR_IREGION_MASK (0x00FF0000u)
#define CSL_CORTEXA15_NOGIC_MPUIR_IREGION_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_MPUIR_IREGION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPUIR_RESETVAL (0x00000000u)

/* MPIDR */

#define CSL_CORTEXA15_NOGIC_MPIDR_U_MASK (0x40000000u)
#define CSL_CORTEXA15_NOGIC_MPIDR_U_SHIFT (0x0000001Eu)
#define CSL_CORTEXA15_NOGIC_MPIDR_U_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPIDR_MT_MASK (0x01000000u)
#define CSL_CORTEXA15_NOGIC_MPIDR_MT_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_MPIDR_MT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPIDR_CLUSTERID_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_MPIDR_CLUSTERID_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_MPIDR_CLUSTERID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPIDR_CPUID_MASK (0x00000003u)
#define CSL_CORTEXA15_NOGIC_MPIDR_CPUID_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_MPIDR_CPUID_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_MPIDR_RESETVAL (0x00000000u)

/* REVIDR */

#define CSL_CORTEXA15_NOGIC_REVIDR_IMPLEMENTER_MASK (0xFF000000u)
#define CSL_CORTEXA15_NOGIC_REVIDR_IMPLEMENTER_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_REVIDR_IMPLEMENTER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_REVIDR_VARIANT_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_REVIDR_VARIANT_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_REVIDR_VARIANT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_REVIDR_ARCHITECTURE_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_REVIDR_ARCHITECTURE_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_REVIDR_ARCHITECTURE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_REVIDR_PRIMARYPARTNUMBER_MASK (0x0000FFF0u)
#define CSL_CORTEXA15_NOGIC_REVIDR_PRIMARYPARTNUMBER_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_REVIDR_PRIMARYPARTNUMBER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_REVIDR_REVISION_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_REVIDR_REVISION_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_REVIDR_REVISION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_REVIDR_RESETVAL (0x00000000u)

/* ID_PFR0 */

#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE3_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE3_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE2_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE2_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE1_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE1_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE0_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_PFR0_STATE0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR0_RESETVAL (0x00000000u)

/* ID_PFR1 */

#define CSL_CORTEXA15_NOGIC_ID_PFR1_GENERICTIMER_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_GENERICTIMER_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_GENERICTIMER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR1_VIRTEXT_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_VIRTEXT_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_VIRTEXT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR1_MPROFPROGMODEL_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_MPROFPROGMODEL_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_MPROFPROGMODEL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR1_SECURITYEXT_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_SECURITYEXT_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_SECURITYEXT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR1_PROGMODEL_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_PROGMODEL_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_PFR1_PROGMODEL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_PFR1_RESETVAL (0x00000000u)

/* ID_DFR0 */

#define CSL_CORTEXA15_NOGIC_ID_DFR0_PERFMONMOD_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_PERFMONMOD_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_PERFMONMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_MDEBUGMOD_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_MDEBUGMOD_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_MDEBUGMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_MEMMAPPEDTRACEMOD_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_MEMMAPPEDTRACEMOD_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_MEMMAPPEDTRACEMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCTRACEMOD_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCTRACEMOD_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCTRACEMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_MEMMAPPEDDEBUGMOD_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_MEMMAPPEDDEBUGMOD_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_MEMMAPPEDDEBUGMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCSECDEBUGMOD_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCSECDEBUGMOD_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCSECDEBUGMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCDEBUGMOD_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCDEBUGMOD_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_DFR0_COPROCDEBUGMOD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_DFR0_RESETVAL (0x00000000u)

/* ID_AFR0 */

#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED0_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED0_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED0_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED1_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED1_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED1_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED2_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED2_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED2_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED3_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED3_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_AFR0_IMPLEMENTATION_DEFINED3_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_AFR0_RESETVAL (0x00000000u)

/* ID_MMFR0 */

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_INNERSHAREABILITY_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_INNERSHAREABILITY_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_INNERSHAREABILITY_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_FCSESUPPORT_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_FCSESUPPORT_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_FCSESUPPORT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_AUXILIARYREGS_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_AUXILIARYREGS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_AUXILIARYREGS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_TCMSUPPORT_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_TCMSUPPORT_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_TCMSUPPORT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_SHAREABILITYLEVELS_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_SHAREABILITYLEVELS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_SHAREABILITYLEVELS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_OUTERSHAREABILITY_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_OUTERSHAREABILITY_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_OUTERSHAREABILITY_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_PMSASUPPORT_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_PMSASUPPORT_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_PMSASUPPORT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_VMSASUPPORT_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_VMSASUPPORT_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR0_VMSASUPPORT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR0_RESETVAL (0x00000000u)

/* ID_MMFR1 */

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_BRANCHPREDICTOR_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_BRANCHPREDICTOR_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_BRANCHPREDICTOR_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1TESTANDCLEAN_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1TESTANDCLEAN_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1TESTANDCLEAN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIED_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIED_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARD_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARD_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARD_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIEDSETWAY_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIEDSETWAY_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIEDSETWAY_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARDSETWAY_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARDSETWAY_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARDSETWAY_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIEDVA_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIEDVA_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1UNIFIEDVA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARDVA_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARDVA_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR1_L1HARVARDVA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR1_RESETVAL (0x00000000u)

/* ID_MMFR2 */

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_HWACCESSFLAG_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_HWACCESSFLAG_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_HWACCESSFLAG_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_WFISTALL_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_WFISTALL_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_WFISTALL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_MEMORYBARRIER_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_MEMORYBARRIER_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_MEMORYBARRIER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_UNIFIEDTLB_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_UNIFIEDTLB_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_UNIFIEDTLB_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_HARVARDTLB_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_HARVARDTLB_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_HARVARDTLB_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDRANGE_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDRANGE_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDRANGE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDBGPREFETCH_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDBGPREFETCH_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDBGPREFETCH_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDFGPREFETCH_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDFGPREFETCH_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR2_L1HARVARDFGPREFETCH_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR2_RESETVAL (0x00000000u)

/* ID_MMFR3 */

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_SUPERSECTIONSUPPORT_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_SUPERSECTIONSUPPORT_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_SUPERSECTIONSUPPORT_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_PHYSICALMEMSIZE_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_PHYSICALMEMSIZE_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_PHYSICALMEMSIZE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_COHERENTWALK_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_COHERENTWALK_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_COHERENTWALK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_MAINTENANCEBROADCAST_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_MAINTENANCEBROADCAST_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_MAINTENANCEBROADCAST_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_BRANCHPREDMAINTENANCE_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_BRANCHPREDMAINTENANCE_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_BRANCHPREDMAINTENANCE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_CACHEMAINTBYSETWAY_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_CACHEMAINTBYSETWAY_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_CACHEMAINTBYSETWAY_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_CACHEMAINTBYMVA_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_CACHEMAINTBYMVA_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_MMFR3_CACHEMAINTBYMVA_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_MMFR3_RESETVAL (0x00000000u)

/* ID_ISAR0 */

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_DIVIDEINSTRS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_DIVIDEINSTRS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_DIVIDEINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_DEBUGINSTRS_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_DEBUGINSTRS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_DEBUGINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_COPROCINSTRS_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_COPROCINSTRS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_COPROCINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_CMPBRANCHINSTRS_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_CMPBRANCHINSTRS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_CMPBRANCHINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_BITFIELDINSTRS_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_BITFIELDINSTRS_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_BITFIELDINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_BITCOUNTINSTRS_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_BITCOUNTINSTRS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_BITCOUNTINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_SWAPINSTRS_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_SWAPINSTRS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR0_SWAPINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR0_RESETVAL (0x00000000u)

/* ID_ISAR1 */

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_JAZELLEINSTRS_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_JAZELLEINSTRS_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_JAZELLEINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_INTERWORKINSTRS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_INTERWORKINSTRS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_INTERWORKINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_IMMEDIATEINSTRS_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_IMMEDIATEINSTRS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_IMMEDIATEINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_IFTHENINSTRS_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_IFTHENINSTRS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_IFTHENINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXTENDINSTRS_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXTENDINSTRS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXTENDINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXCEPTARINSTRS_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXCEPTARINSTRS_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXCEPTARINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXCEPTINSTRS_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXCEPTINSTRS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_EXCEPTINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_ENDIANINSTRS_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_ENDIANINSTRS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR1_ENDIANINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR1_RESETVAL (0x00000000u)

/* ID_ISAR2 */

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_REVERSALINSTRS_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_REVERSALINSTRS_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_REVERSALINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_PSRINSTRS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_PSRINSTRS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_PSRINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTUINSTRS_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTUINSTRS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTUINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTSINSTRS_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTSINSTRS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTSINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTINSTRS_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTINSTRS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTIACCESSINTINSTRS_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTIACCESSINTINSTRS_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MULTIACCESSINTINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MEMHINTINSTRS_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MEMHINTINSTRS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_MEMHINTINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_LOADSTOREINSTRS_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_LOADSTOREINSTRS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR2_LOADSTOREINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR2_RESETVAL (0x00000000u)

/* ID_ISAR3 */

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_THUMBEEEXTNINSTRS_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_THUMBEEEXTNINSTRS_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_THUMBEEEXTNINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_TRUENOPINSTRS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_TRUENOPINSTRS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_TRUENOPINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_THUMBCOPYINSTRS_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_THUMBCOPYINSTRS_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_THUMBCOPYINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_TABBRANCHINSTRS_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_TABBRANCHINSTRS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_TABBRANCHINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SYNCHPRIMINSTRS_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SYNCHPRIMINSTRS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SYNCHPRIMINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SVCINSTRS_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SVCINSTRS_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SVCINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SIMDINSTRS_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SIMDINSTRS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SIMDINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SATURATEINSTRS_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SATURATEINSTRS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR3_SATURATEINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR3_RESETVAL (0x00000000u)

/* ID_ISAR4 */

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SWPFRAC_MASK (0xF0000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SWPFRAC_SHIFT (0x0000001Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SWPFRAC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_PSRMINSTRS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_PSRMINSTRS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_PSRMINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SYNCHPRIMINSTRSFRAC_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SYNCHPRIMINSTRSFRAC_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SYNCHPRIMINSTRSFRAC_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_BARRIERINSTRS_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_BARRIERINSTRS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_BARRIERINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SMCINSTRS_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SMCINSTRS_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_SMCINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_WRITEBACKINSTRS_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_WRITEBACKINSTRS_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_WRITEBACKINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_WITHSHIFTSINSTRS_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_WITHSHIFTSINSTRS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_WITHSHIFTSINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_UNPRIVINSTRS_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_UNPRIVINSTRS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR4_UNPRIVINSTRS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR4_RESETVAL (0x00000000u)

/* ID_ISAR5 */

#define CSL_CORTEXA15_NOGIC_ID_ISAR5_RESERVED_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_ID_ISAR5_RESERVED_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_ID_ISAR5_RESERVED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_ID_ISAR5_RESETVAL (0x00000000u)

/* DBGITOCTRL */

#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_NPMUIRQ_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_NPMUIRQ_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_NPMUIRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIPMUIRQ_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIPMUIRQ_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIPMUIRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIDBGRESTARTED_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIDBGRESTARTED_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIDBGRESTARTED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIDBGTRIGGER_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIDBGTRIGGER_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_CTIDBGTRIGGER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITOCTRL_RESETVAL (0x00000000u)

/* DBGITISR */

#define CSL_CORTEXA15_NOGIC_DBGITISR_DBGSWENABLE_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_DBGSWENABLE_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_DBGSWENABLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITISR_CTIDBGRESTART_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_CTIDBGRESTART_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_CTIDBGRESTART_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITISR_CTIEDBGRQ_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_CTIEDBGRQ_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_CTIEDBGRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITISR_EDBGRQ_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_EDBGRQ_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGITISR_EDBGRQ_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITISR_RESETVAL (0x00000000u)

/* DBGITCTRL */

#define CSL_CORTEXA15_NOGIC_DBGITCTRL_IME_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGITCTRL_IME_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGITCTRL_IME_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGITCTRL_RESETVAL (0x00000000u)

/* DBGCLAIMSET */

#define CSL_CORTEXA15_NOGIC_DBGCLAIMSET_CLAIM_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGCLAIMSET_CLAIM_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCLAIMSET_CLAIM_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCLAIMSET_RESETVAL (0x00000000u)

/* DBGCLAIMCLR */

#define CSL_CORTEXA15_NOGIC_DBGCLAIMCLR_CLAIM_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGCLAIMCLR_CLAIM_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCLAIMCLR_CLAIM_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCLAIMCLR_RESETVAL (0x00000000u)

/* DBGLAR */

#define CSL_CORTEXA15_NOGIC_DBGLAR_LOCKACCESSCONTROL_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGLAR_LOCKACCESSCONTROL_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGLAR_LOCKACCESSCONTROL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGLAR_RESETVAL (0x00000000u)

/* DBGLSR */

#define CSL_CORTEXA15_NOGIC_DBGLSR_X32BITACCESS_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGLSR_X32BITACCESS_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGLSR_X32BITACCESS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGLSR_LOCKED_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGLSR_LOCKED_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGLSR_LOCKED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGLSR_LOCKIMPLEMENTED_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGLSR_LOCKIMPLEMENTED_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGLSR_LOCKIMPLEMENTED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGLSR_RESETVAL (0x00000000u)

/* DBGAUTHSTATUS */

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECNONINVDBGFEATURESIMPL_MASK (0x00000080u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECNONINVDBGFEATURESIMPL_SHIFT (0x00000007u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECNONINVDBGFEATURESIMPL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECNONINVDBGEN_MASK (0x00000040u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECNONINVDBGEN_SHIFT (0x00000006u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECNONINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECINVDBGFEATURESIMPL_MASK (0x00000020u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECINVDBGFEATURESIMPL_SHIFT (0x00000005u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECINVDBGFEATURESIMPL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECINVDBGEN_MASK (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECINVDBGEN_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_SECINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECNONINVDBGFEATURSIMPL_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECNONINVDBGFEATURSIMPL_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECNONINVDBGFEATURSIMPL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECNONINVDBGEN_MASK (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECNONINVDBGEN_SHIFT (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECNONINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECINVDBGFEATURESIMPL_MASK (0x00000002u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECINVDBGFEATURESIMPL_SHIFT (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECINVDBGFEATURESIMPL_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECINVDBGEN_MASK (0x00000001u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECINVDBGEN_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_NONSECINVDBGEN_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGAUTHSTATUS_RESETVAL (0x00000000u)

/* DBGDEVID2 */

#define CSL_CORTEXA15_NOGIC_DBGDEVID2_UNK_MASK (0xFFFFFFFFu)
#define CSL_CORTEXA15_NOGIC_DBGDEVID2_UNK_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID2_UNK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID2_RESETVAL (0x00000000u)

/* DBGDEVID1 */

#define CSL_CORTEXA15_NOGIC_DBGDEVID1_PCSROFFSET_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGDEVID1_PCSROFFSET_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID1_PCSROFFSET_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID1_RESETVAL (0x00000000u)

/* DBGDEVID0 */

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_AUXREGS_MASK (0x0F000000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_AUXREGS_SHIFT (0x00000018u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_AUXREGS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_DOUBLELOCK_MASK (0x00F00000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_DOUBLELOCK_SHIFT (0x00000014u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_DOUBLELOCK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_VIRTEXTNS_MASK (0x000F0000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_VIRTEXTNS_SHIFT (0x00000010u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_VIRTEXTNS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_VECTORCATCH_MASK (0x0000F000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_VECTORCATCH_SHIFT (0x0000000Cu)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_VECTORCATCH_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_BPADDRMASK_MASK (0x00000F00u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_BPADDRMASK_SHIFT (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_BPADDRMASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_WPADDRMASK_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_WPADDRMASK_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_WPADDRMASK_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_PCSAMPLE_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_PCSAMPLE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVID0_PCSAMPLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVID0_RESETVAL (0x00000000u)

/* DBGDEVTYPE */

#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_SUBTYPE_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_SUBTYPE_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_SUBTYPE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_MAINCLASS_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_MAINCLASS_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_MAINCLASS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGDEVTYPE_RESETVAL (0x00000000u)

/* DBGPID4 */

#define CSL_CORTEXA15_NOGIC_DBGPID4_COUNT4KB_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGPID4_COUNT4KB_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPID4_COUNT4KB_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID4_JEP106CONTCODE_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGPID4_JEP106CONTCODE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPID4_JEP106CONTCODE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID4_RESETVAL (0x00000000u)

/* DBGPID0 */

#define CSL_CORTEXA15_NOGIC_DBGPID0_PARTNUMBER_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGPID0_PARTNUMBER_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPID0_PARTNUMBER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID0_RESETVAL (0x00000000u)

/* DBGPID1 */

#define CSL_CORTEXA15_NOGIC_DBGPID1_JEP106IDCODE_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGPID1_JEP106IDCODE_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPID1_JEP106IDCODE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID1_PARTNUMBER_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGPID1_PARTNUMBER_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPID1_PARTNUMBER_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID1_RESETVAL (0x00000000u)

/* DBGPID2 */

#define CSL_CORTEXA15_NOGIC_DBGPID2_REVISION_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGPID2_REVISION_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPID2_REVISION_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID2_USESJEP106IDCODE_MASK (0x00000008u)
#define CSL_CORTEXA15_NOGIC_DBGPID2_USESJEP106IDCODE_SHIFT (0x00000003u)
#define CSL_CORTEXA15_NOGIC_DBGPID2_USESJEP106IDCODE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID2_JEP106IDCODE_MASK (0x00000007u)
#define CSL_CORTEXA15_NOGIC_DBGPID2_JEP106IDCODE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPID2_JEP106IDCODE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID2_RESETVAL (0x00000000u)

/* DBGPID3 */

#define CSL_CORTEXA15_NOGIC_DBGPID3_REVAND_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGPID3_REVAND_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGPID3_REVAND_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID3_CUSTOMERMODIFIED_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGPID3_CUSTOMERMODIFIED_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGPID3_CUSTOMERMODIFIED_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGPID3_RESETVAL (0x00000000u)

/* DBGCID0 */

#define CSL_CORTEXA15_NOGIC_DBGCID0_PREAMBLE_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGCID0_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCID0_PREAMBLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCID0_RESETVAL (0x00000000u)

/* DBGCID1 */

#define CSL_CORTEXA15_NOGIC_DBGCID1_COMPONENTCLASS_MASK (0x000000F0u)
#define CSL_CORTEXA15_NOGIC_DBGCID1_COMPONENTCLASS_SHIFT (0x00000004u)
#define CSL_CORTEXA15_NOGIC_DBGCID1_COMPONENTCLASS_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCID1_PREAMBLE_MASK (0x0000000Fu)
#define CSL_CORTEXA15_NOGIC_DBGCID1_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCID1_PREAMBLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCID1_RESETVAL (0x00000000u)

/* DBGCID2 */

#define CSL_CORTEXA15_NOGIC_DBGCID2_PREAMBLE_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGCID2_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCID2_PREAMBLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCID2_RESETVAL (0x00000000u)

/* DBGCID3 */

#define CSL_CORTEXA15_NOGIC_DBGCID3_PREAMBLE_MASK (0x000000FFu)
#define CSL_CORTEXA15_NOGIC_DBGCID3_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CORTEXA15_NOGIC_DBGCID3_PREAMBLE_RESETVAL (0x00000000u)

#define CSL_CORTEXA15_NOGIC_DBGCID3_RESETVAL (0x00000000u)

#endif
